/*   $Header: /cvs/gnome/gcalctool/ChangeLog,v 1.467 2006/12/18 03:05:13 richb Exp $
 *
 *  Copyright (c) 1987-2008 Sun Microsystems, Inc.
 *  All Rights Reserved.
 */

gcalctool change history.
=========================

2009-03-03 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.92 tarball.

2009-02-28 Robert Ancell <robert.ancell@gmail.com>

    * Restore number display mode (FIX/SCI/ENG) on startup (Robert Ancell, Bug #572881)
    * Fix rounding errors in integer power calulations (Robert Ancell, Bug #527540)
    * Fix error in cosine/tangent calculations (Robert Ancell, Bug #571007)    

2009-02-17 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.91 tarball.

2009-02-15 Robert Ancell <robert.ancell@gmail.com>

    * Initialise GType system so usage of GConf doesn't cause crashes (Matthias Clasen, Bug #571581)
    * Rework command-line arguments to be standard (Robert Ancell, Bug #569885)

2009-02-08 Robert Ancell <robert.ancell@gmail.com>

    * Correctly handle decimal points for languages not using '.' (Robert Ancell, Bug #566929)
    * Fix shortcut keys so standard menu keys work (Robert Ancell)

2009-02-03 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.90 tarball.

2009-01-26 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/mp-binary.c: Fix incorrect shift calculation (Robert Ancell, Bug #569176)

2009-01-19 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.5 tarball.

2009-01-06 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.4 tarball.

2008-12-01 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.3 tarball.

2008-12-08 Robert Ancell <robert.ancell@gmail.com>

    * Made exponential numbers work without a sign, e.g. '1e2' works
      the same as '1e+2' (Robert Ancell).
    * Correctly calculate exponential numbers in binary mode and
      convert correctly when changing bases (Robert Ancell, Bug #516159).
    * Fix broken accelerator keys from changes due to bug #379476 (Robert Ancell)

2008-12-01 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.2 tarball.

2008-11-29 Robert Ancell <robert.ancell@gmail.com>

    * Give binary invert operation higher precedence (Sami Pietilä, Bug #562251)

2008-11-23 Robert Ancell <robert.ancell@gmail.com>

    * Removed double conversion in boolean and 32 bit and 16 bit mask operations so
      they can handle larger numbers (Robert Ancell, Bug #509988)

2008-11-15 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Load financial dialogs when they are activated not only once
      using financial mode - they are accessible from shortcut keys from all modes.
      (Robin Sonefors, Bug #560196).
    * Made scientific functions that are inverses of eachother use the inverse button
      like the trigonometric ones do. Shortcut keys changed so inverse function is the
      shift+base function (Robin Sonefors, Bug #379476).

2008-11-06 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/get.c: Read configuration from /apps/gcalctool not /apps/(appname) as
      the application name is different when symlinked (Matt Keenan, Bug #559260).
    * Correct gconf key names in man page (Bug #559458).

2008-11-04 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.25.1 tarball.

2008-11-02 Robert Ancell <robert.ancell@gmail.com>

    * Added Gross Profit Margin Ration Financial Function (Robin Sonefors, Bug #150663).
    * Open help with gtk_show_uri() (Thomas Andersen, Bug #556207).
    * Set decimal point label to be based on LC_NUMERIC as users can set their numerical
      representation to different to their language settings (Robin Sonefors, Bug #557331).

2008-10-17 Robert Ancell <robert.ancell@gmail.com>

    * Added translator comments

2008-10-13 Robert Ancell <robert.ancell@gmail.com>

    * Made financial dialogs move to next entry/complete form when activating
      entries (Robin Sonefors, Bug #318686)

2008-10-12 Robert Ancell <robert.ancell@gmail.com>

    * Remove GtkSpinButton warning (Robin Sonefors, Bug #553965)
    * Made financial dialogs reset before display (Robin Sonefors, Bug #318686)

2008-10-11 Robert Ancell <robert.ancell@gmail.com>

    * Only update bit panel when display contains a solved number (Bug #548690).
    * Added keyboard shortcuts to financial dialogs (Robin Sonefors, Bug #318686).

2008-10-08 Robert Ancell <robert.ancell@gmail.com>

    * Separated functions in programming and scientific modes (Robin Sonefors, Bug #501508).
    * Don't clear display when changing modes and allow all functions to work in all non-basic
      modes (Bug #554133).
    * Refactored mp-convert.c and mp-trigonometric.c from mp.c/mpmath.c (Bug #524091).

2008-10-07 Robert Ancell <robert.ancell@gmail.com>

    * Made finacial operations GUI-based not register based (Robin Sonefors, Bug #318686).

2008-09-28 Robert Ancell <robert.ancell@gmail.com>

    * Added a programming mode that contains the bit editor (Robin Sonefors, Bug #501508).

2008-09-25 Robert Ancell <robert.ancell@gmail.com>

    * Applied seventh patch from Klaus: Remove even more gotos (Bug #524091).
    * Removed almost all gotos, cleaned up mperr() (Bug #524091).
    * gcalctool/gtk.c: Remove inline declaration so can compile in C89 (Jens Granseuer, Bug #553307).

2008-09-22 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.24.0 tarball.

2008-09-07 Rich Burridge <rich.burridge@sun.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.92 tarball.

2008-09-01 Rich Burridge <rich.burridge@sun.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.91 tarball.

2008-08-22 Robert Ancell <robert.ancell@gmail.com>

    * glade/gcalctool.glade: Fix packing for modulus button (Bug #548880)

2008-08-20 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool.desktop.in: Change from OnlyShowIn=GNOME;XFCE; to NotShowIn=KDE; so
      other desktops can use GCalctool (bug #518862).

2008-08-19 Robert Ancell <robert.ancell@gmail.com>

    * Applied sixth patch from Klaus: Remove gotos, add use of const args, made
      function arg ordering consistent, added unittests (Bug #524091).
    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.90 tarball.

2008-08-17 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Fix some memory leaks (Felix Riemann, Bug #547942)

2008-08-05 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.6 tarball.

2008-08-04 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Change icon name from 'gnome-calculator' to 'accessories-calculator' (Matthias Clasen, Bug #545074)
    * Removed left-to-right mode due to maintenance effort (Bug #500994)

2008-07-27 Robert Ancell <robert.ancell@gmail.com>

    * Converted bg and zh_CN documentation to gnome-doc-utils (Bug #336104)

2008-07-22 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.5 tarball.

2008-07-21 Takeshi AIHANA <takeshi.aihana@gmail.com>

    * configure.in:
      Removed help/ja/Makefile since switched to gnome-doc-utils now.
      
2008-07-16 Robert Ancell <robert.ancell@gmail.com>

    * Applied fifth patch from Klaus: Remove pointer arguments to functions (Bug #524091).
    * Applied fourth patch from Klaus: Remove constants calling mpchk (Bug #524091).
    * Remove gotos and parameter adjustment (Bug #524091).

2008-07-03 Robert Ancell <robert.ancell@gmail.com>

    * Applied third mp math tidy up patch from  Klaus Niederkrueger (Bug #524091).
    * Refactored some of the mp FORTRAN functions to be simpler (Robert Ancell, Bug #524091).

2008-06-17 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/functions.c: Fix bug in factorial calculation that was
      added when functions were renamed (Klaus Niederkrueger).
    * gcalctool/gtk.c: Make trigonometric button text translatable (Yuri Penkin,
      Bug #540196)

2008-06-17 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.4 tarball.

2008-06-14 Robert Ancell <robert.ancell@gmail.com>

    * Applied second mp math tidy up patch from  Klaus Niederkrueger (Bug #524091).
    * gcalctool/gtk.c: Added workaround to stop display disappearing when editing large
      displays (Bug #524602).
    * gcalctool/gtk.c: Allow shortcut keys to work when caps lock is on (Bug #538160).

2008-06-03 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.23.3 tarball.

2008-05-28 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/get.c:
    * gcalctool/display.c: Default to no thousands separator not ',' (Bug #527669).

2008-05-18 Robert Ancell <robert.ancell@gmail.com>

    * configure.in: Version 5.23.2

2008-04-29 Robert Ancell <robert.ancell@gmail.com>

    * Restructure display.[ch] to have consistent function names and work towards
      routing all display code through one point to support Unicode more easily (Bug #530532).
    * gcalctool/display.[ch]:
      gcalctool/gtk.c: Modify cursor when adding/removing thousands separators (Bug #527669).

2008-04-20 Robert Ancell <robert.ancell@gmail.com>

    * configure.in: Version 5.23.1

2008-04-19 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/display.c: Use correct radix when converting numbers to strings (Bug #527669).

2008-04-13 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Use correct maximum value for display horizontal scroll (Bug #524602)

2008-04-12 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Correctly populate the constant and function menus (Bug #527545)
    * gcalctool/gtk.c:
      gcalctool/functions.[ch]:
      gcalctool/ui.h: Fix compiler warnings (Bug #527318)
    * Fix a number of thousands separator issues (Bug #527669).

2008-04-10 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/ce_parser.y: Change parser precedence to perform negation after
      power operation (Bug #526094)
    * gcalctool/Makefile.am:
      po/POTFILES.skip:
      m4/Makefile.am:
      configure.in: Fix build so make distcheck works (Bug #526702)
    * gcalctool/gtk.c: Remove shadowed variables (Bug #526976)

2008-03-08 Robert Ancell <robert.ancell@gmail.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.22.1 tarball.     

2008-04-07 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Handle shift-asterisk and asterisk for multiply
      (the later occurs on the french keyboard) (Bug #526671)

2008-04-05 Robert Ancell <robert.ancell@gmail.com>

    * Makefile.am: Don't distribute m4/.svn directory (Bug #524025)

2008-03-24 Robert Ancell <robert.ancell@gmail.com>

    * Bug #524091 - First patch from Klaus Niederkrueger applied.

2008-03-12 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/unittest.c:
      Bug #135671 - Added initial unit tests
    * Bug #520769 - Remove usage of sprintf() and strcpy() and replace
      with snprintf() and strncpy().

2008-03-11 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/functions.c:
      Fixed bug #520525 - Clear display sets display to empty not "Ans".

2008-03-10 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fixed bug #521620 - Impossible to type "(" in the GUI.

    * gcalctool/gtk.c:
      Fixed bug #520269 – Possibly incorrect use of plurals.

    * gcalctool/calctool.c:
      gcalctool/gtk.c:
      From Jens Granseuer <jensgr at gmx dot net>
      Fixed bug #521668 – compile errors.

2008-03-10 Rich Burridge <rich.burridge@sun.com>

    * AUTHORS:
      README:
      NEWS:
      configure.in:
      Released a gcalctool v5.22.0 tarball.

2008-03-06 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.h:
      Fix for bug #520474 - Calculator uses 06 in place of decimal.

2008-03-02 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      Fix for bug #519979 - Please provide translator comments.

2008-02-28 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fix for bug #519243 - Memory registers save incorrectly.

2008-02-24 Rich Burridge <rich.burridge@sun.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.21.92 tarball.

2008-02-11 Rich Burridge <rich.burridge@sun.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.21.91 tarball.

2008-02-11  Robert Ancell  <robert.ancell@gmail.com>

    * glade/gcalctool.glade:
      Change Help->Help menu to Help->Contents to match HIG (Bug #514812)

2008-02-10 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      gcalctool/calctool.c:
      glade/gcalctool.glade:
      help/C/gcalctool.xml:
      Fix for bug #515326 – translation issues

2008-02-10  Robert Ancell  <robert.ancell@gmail.com>

    * glade/gcalctool.glade:
      Unmark bitcalculating strings for translation (Bug #515326)
      Change help menu shortcut from Ctrl+H to F1 to match HIG (Bug #514812)

2008-02-10  Luca Ferretti  <elle.uca@libero.it>

    * configure.in:
      Remove help/it/Makefile, switching to gnome-doc-utils

2008-02-04 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fix for bug #514233 - Title not translated

2008-02-02 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fix for bug #513868 - Switching mode clears values but not 
      "Malformed expression" in statusbar.

    * gcalctool/ce_tokeniser.l:
      From Sami Pietila <sami.pietila@utu.fi>
      Fix for bug #513218 - Parsing not handling things the way a 
      "normal" calculator would.

    * help/de/de.po:
      From Philipp Kerling <k.philipp@gmail.com>
      Fix for bug #482666 - XML errors in gcalctool de translation.

2008-02-02  Tommi Vainikainen  <thv@iki.fi>

	* glade/gcalctool.glade: Fix typo (Retreive -> Retrieve)

2008-01-28 Rich Burridge <rich.burridge@sun.com>

    * README:
      RELEASE.HOWTO:
      NEWS:
      configure.in:
      Released a gcalctool v5.21.90 tarball.

2008-01-26 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/functions.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Fix for bug #512204 - Regression in (-,+) handling.

2008-01-24 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/ce_parser.y:
      gcalctool/mpmath.c:
      gcalctool/functions.c:
      Fix for bug #511052 – Mod gives negative remainders.

2008-01-16  Claude Paroz  <claude@2xlibre.net>

    * gcalctool/gtk.c: (create_kframe):
      Typo in message.

2008-01-14 Rich Burridge <rich.burridge@sun.com>

    * README:
      NEWS:
      configure.in:
      Released a gcalctool v5.21.5 tarball.

2008-01-04 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fix for bug #507126 - "x" should be a keyboard shortcut for bitwise 
      XOR but it's currently doing multiplication.

    * gcalctool/gtk.c:
      Fix for bug #507124 - gcalctool menu items are not being set inactive 
      when there is an error condition.

    * help/C/gcalctool.xml:
      More work on bug #503941 – Various Calculator docmentation issues.
      - Adjusted the note in section 3.1.1 to describe what a C locale is.

2008-01-03 Rich Burridge <rich.burridge@sun.com>

    * help/C/gcalctool.xml:
      Work on bug #503941 – Various Calculator docmentation issues.
      - Added a section 3.6 "Undo and Redo"
      - After an error condition pressing Shift-Delete will now 
        clear it, not Delete.
      - Updated and added numerous Alt-<whatever> and Control-<whatever>
        definitions in the keyboard shortcut tables.

    * RELEASE-HOWTO:  (new)
      Added a document that provides a step-by-step list to remind 
      gcalctool maintainers how to make a release.

    * gcalctool/functions.c:
      gcalctool/calctool.c:
      gcalctool/calctool.h:
      From Sami Pietila <sami.pietila@utu.fi>
      Fix for bug #506742 - Various gcalctool buttons don't behave as 
      expected when they are used right after a Clr operation.

2008-01-02 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Work on bug #499954 – Key repeat is delayed.
      Adjustments to the set_bit_panel() routine for arithmetic operator
      precedence mode.

2008-01-01 Rich Burridge <rich.burridge@sun.com>

    * (most files):
      Updated the copyright messages to include 2008.
      Updated the gcalctool About message in a similar fashion.

    * help/C/figures/gcalctool_scientific_window.png:
      help/C/gcalctool.xml:
      gcalctool/functions.c:
      gcalctool/lr_tokeniser.l:
      gcalctool/lr_parser.y:
      gcalctool/ce_tokeniser.l:
      gcalctool/gtk.c:
      gcalctool/mpmath.c:
      gcalctool/ce_parser.y:
      gcalctool/mpmath.h:
      gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/gcalctool.1:
      glade/gcalctool.glade:
      From Robert Millan <rmh@aybabtu.com>
      From Robert Ancell <robert.ancell@gmail.com>
      Fixed bug #505892 - Added a base 2 logarithm button. Note that for 
      a future release of gcaltool, that this might be changed to a log<n>
      button (see bug #336609 for more details).

2007-12-17 Rich Burridge <rich.burridge@sun.com>

    * configure.in:
      NEWS:
      Released a gcalctool v5.21.4 tarball.

2007-12-15 Rich Burridge <rich.burridge@sun.com>

    * help/C/gcalctool.xml:
      Adjusted online help documentation to add in a section 4.4. "Changing
      The Display Area" and to update the new keyboard shortcut for Clear.

2007-12-15 Robert Ancell <robert.ancell@gmail.com>

    * Use delete key to delete character right of cursor in display, clear
      now uses shift+delete (Bug #326938).
    * glade/gcalctool.glade: Update all button tooltips to have the shortcut
      key for that button (Bug #503707).

2007-12-12 Rich Burridge <rich.burridge@sun.com>

    * gcalctool.desktop.in:
      Fixed bug #502650 - gcalctool.desktop should contain "Calculator"
      category

    * help/C/gcalctool.xml:
      Fixed bug #500802 - Update to GNOME Help Centre OMF Files for 
      "Issue 24: Documentation Meta-data" of GNOME's GHOP Contest.

    * help/C/gcalctool.xml:
      Work on bug #501699. Adjusted "monthly interest rate" to "simple
      monthly interest rate" in the online help for two of the financial
      examples.

2007-12-09 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: Fix incorrect menu radio button selected when
      mode change aborted (bug #488226).

2007-12-07 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/functions.c:
      Fix for bug #502306 - unable to use MOD operation after a 
      x ᶺ y operation.

2007-12-03 Rich Burridge <rich.burridge@sun.com>

    * configure.in:
      NEWS:
      Released a gcalctool v5.21.3 tarball.

2007-12-2 Robert Ancell <robert.ancell@gmail.com>

    * Added a "Reset to Default" accuracy menu item (bug #488542).

2007-11-28 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      From Sami Pietila <sami.pietila@utu.fi>
      When the bit calculation extension is enabled, a message now appears
      in the status bar.

    * glade/gcalctool.glade:
      Fixed bug #500060 - Twiddling bits 32-63 in bitcalculation extension 
      produces incorrect results.

2007-11-27 Rich Burridge <rich.burridge@sun.com>

    * help/C/figures/gcalctool_scientific_window.png:
      help/C/gcalctool.xml:
      Fixed bug #367731 - [doc] Update documentation for bit calculating 
      extension.

    * gcalctool/gtk.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Fixed bug 500029 - Clearing a bit in the bitcalculating extension, 
      sets the display to zero.

2007-11-27 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: 
      Disable menu items not valid in current mode (Bug #499625).

2007-11-17 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/Makefile.am: Fix build dependencies for parsers (Bug #497237).
    * gcalctool/gtk.c: Trim pasted text on newlines, replace tabs with spaces
      (Bug #488796).

2007-11-13 Rich Burridge <rich.burridge@sun.com>

    * help/C/figures/gcalctool_advanced_window.png:
      help/C/figures/gcalctool_basic_window.png:
      help/C/figures/gcalctool_financial_window.png:
      help/C/figures/gcalctool_menu_symbol.png:
      help/C/figures/gcalctool_scientific_window.png:
      Fixed bug #367737 - [doc] Documentation screenshots need to be updated.

    * help/C/gcalctool.xml:
      Fixed bug #367723 - [doc] Update documentation for Changing Modes 
      Clears Calculation.

2007-11-12 Rich Burridge <rich.burridge@sun.com>

    * configure.in:
      NEWS:
      Released a gcalctool v5.21.2 tarball.

2007-11-10 Robert Ancell <robert.ancell@gmail.com>

    * gtk.c: Close precision dialog when setting precision from
      Acc button (Bug #495349).
    * gcalctool.glade: Connect "activate" signal for precision
      spin button after spin button has been updated (Bug #495345)

2007-11-6 Robert Ancell <robert.ancell@gmail.com>

    * everything:
      Stop display characters from being translated as this will
      cause the display parser to fail.
      Change labels on trig function keys when inverse/hyperbolic
      toggled.

2007-11-4 Robert Ancell <robert.ancell@gmail.com>

    * everything:
      Split calctool.h into seperate header files.
      Removed unused function definitions and killed extern.h.
      Moved gconf behaviour into get.c.
      Removed some global variables for resource naming.
      Merged graphics.c into gtk.c.
      Renamed all gtk.c external functions to ui_*().
      Moved main() into calctool.c.
      Disable bitcalculating menu when not in scientific mode.
      Renamed GTK+ callbacks so they all are in the form *_cb().

2007-11-3 Rich Burridge <rich.burridge@sun.com>

    * help/Makefile.am:
      From dmacks@netspace.org
      Fixed bug #482655 - Missing image file.

    * gcalctool/gtk.c:
      Fix the buglet in comment #51 of bug #485919.

2007-11-3 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c: 
      Re-enable accuracy menu items (Final part of bug #488694).
      Make accuracy shortcuts only work in scientific mode (bug #488489).
      Stop bogus '-/-' in accuracy menu items (bug #488703).

2007-11-1 Rich Burridge <rich.burridge@sun.com>

    * display.c:
      calctool.h:
      functions.c:
      gtk.c:
      More lint fixups.

2007-11-1 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c:
      glade/gcalctool.glade:
      More work on bug #488694 - Move all popup menus into gcalctool.glade.
      Split constant and function dialogs into seperate UI elements.

    * gcalctool/graphics.c:
      gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/display.c:
      gcalctool/functions.c:      
      gcalctool/gtk.c:
      glade/gcalctool.glade:      
      More work on bug #488694 - Simplify menu code

2007-10-31 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/dsfuns.c:
      gcalctool/calctool.h:
      gcalctool/functions.c:
      gcalctool/ce_parser.h:
      gcalctool/gtk.c:
      Code cleanup to a consistent style, plus fixup for various warnings
      from lint.

2007-10-31 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/mpmath.c:
      gcalctool/graphics.c:
      gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/display.c:
      gcalctool/functions.c:
      gcalctool/extern.h:
      gcalctool/get.c:
      gcalctool/gtk.c:
      glade/gcalctool.glade:
      More work on bug #488694 - Move accelerator handling from calctool.c
      
    * gcalctool/gtk.c:
      glade/gcalctool.glade:
      More work on bug #488694 - Move ASCII, accuracy, function and
      constant dialogs into gcalctool.glade

2007-10-30 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/mpmath.c:
      Fix for bug #485134 - OR calculation produces incorrect result in 
      arithmetic precedence mode.

2007-10-28 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/functions.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Fix for bug #490701 - base radio buttons initially fail.

    * Released a gcalctool v5.21.1 tarball.

2007-10-27 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/mpmath.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Attempted fix for bug #485134 - OR calculation produces incorrect 
      result in arithmetic precedence mode. This isn't a complete solution
      so the bug has been reopened.

2007-10-26 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/functions.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Fix for bug #488828 - Reciprocal remembers backspaced items.

2007-10-23 Rich Burridge <rich.burridge@sun.com>

    * glade/gcalctool.glade:
      More work on bug ##488694 - [a11y] Several calculator buttons 
      don't speak correctly with Orca. Removed the accessible descriptions
      (not needed) and adjusted the "shift left" and "shift right" names
      (they were reversed).

    * gcalctool/functions.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Patch to stablize arithmetic precedence.

2007-10-23 Robert Ancell <robert.ancell@gmail.com>

    * gcalctool/gtk.c:
      Stop acting on toggle events from radio buttons when they go
      inactive (Bug #485918).

2007-10-22 Rich Burridge <rich.burridge@sun.com>

    * glade/gcalctool.glade:
      From Robert Ancell <robert.ancell@gmail.com>
      More work on bug #485919 - Use Glade for UI. This patch puts 
      menu accelerators back again and fixes the top button row in 
      basic mode being too tall.

    * MAINTAINERS:
      Added Robert Ancell to the list of gcalctool MAINTAINERS.

    * glade/gcalctool.glade:
      Fixed bug #488830 - Hex radio button shortcut conflicts with 
      Help menu shortcut.

    * glade/gcalctool.glade:
      Fixed bug #488829 - Accuracy and Change Sign have wrong tooltip 
      shortcut keys.

    * gcalctool/gtk.c:
      Fixed bug #488783 - memory registers not available if you start 
      in Advanced mode

    * gcalctool/gtk.c:
      glade/gcalctool.glade:
      Fixed bug bug #488694 - [a11y] Several calculator buttons don't speak 
      correctly with Orca.

2007-10-20 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/functions.c:
      gcalctool/extern.h:
      gcalctool/gtk.c:
      glade/gcalctool.glade:    (new)
      glade/Makefile.am:
      glade/mode_panel.glade:   (removed)
      po/POTFILES.in:
      From Robert Ancell <robert.ancell@gmail.com>
      More work on bug #485919 - Use Glade for UI. This now provides
      Glade support for the majority of the gcalctool GUI.

2007-10-15 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fix for bug #485398 - Put memory register window inside the main window.
      Uses gtk_window_set_transient_for() to associate the memory register
      window with the main gcalctool window.

    * help/C/gcalctool.xml:
      Fix for bug #383850 - [doc] New names for Precedence.

2007-10-13 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      From Sami Pietila <sami.pietila@utu.fi>
      Fix for bug #485137 - Undo/Redo don't work in arithmetic precedence 
      mode if user has "hand edited" the display.

2007-10-12 Rich Burridge <rich.burridge@sun.com>

    * configure.in:
      gcalctool/calctool.c:
      gcalctool/gtk.c:
      gcalctool/Makefile.am:
      Makefile.am:
      glade/Makefile.am:          (new)
      glade/mode_panel.glade:     (new)
      From Robert Ancell <robert.ancell@gmail.com>
      Work on bug #485919 - Use Glade for UI.
      Initial Glade patch adds support for the mode panel.

2007-10-11 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Added a call to "set_memory_toggle(v->rstate);" in make_frames() to
      correctly set the state of the Edit-<Memory Registers check box if the
      user wanted the memory registers initially displayed.

    * gcalctool/gtk.c:
      From Christian Persch <chpe@gnome.org>
      Correctly handle memory register display and "Memory Registers" menu
      item checkbox status when user goes from Sci/Fin/Adv mode to Basic.
      (Needed because of the recent changes for bug #478961).

2007-10-08 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool v5.21.0 tarball.

    * gcalctool/calctool.h:
      gcalctool/display.c:
      gcalctool/functions.c:
      gcalctool/ce_tokeniser.l:
      gcalctool/get.c:
      gcalctool/gtk.c:
      With lots of help from Sami Pietila <sampie@utu.fi>
      Fix for bug #326938 – Display cursor in input area; allow home
      and end keys. This is in arithmetic precedence mode only.

2007-10-08 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/graphics.c:
      Fix for bug #484158 – Setting Accuracy is incorrect via the 0-9 
      places menu items.

2007-10-02 Rich Burridge <rich.burridge@sun.com>

    * help/C/gcalctool.xml:
      gcalctool/calctool.h:
      gcalctool/ce_tokeniser.l:
      Fix for bug #439087 – Gcalctool can't handle small physic constants 
      like the Boltzmann constant. The number of significant places has
      been increased to 99 and the number of displayable digits has been
      increased to 200. The online help has been adjusted to reflect these
      changes.

      Note that if you have something in the gcalctool display that is 
      wider than the display area, a scrollbar is shown, but the first 
      digit isn't properly displayed. The workaround here, is to enlarge 
      the size of the calculator window until the scrollbar goes away.
      I believe this is a Gtk+ problem and have filed bug #482688 against it.

    * help/C/gcalctool.xml:
      Fixed bug #367738 – [doc] Square root documentation needs to be updated.
      The entry in the online help now includes examples for both arithmetic 
      precedence and non-arithmetic precedence mode.

    * help/C/gcalctool.xml:
      Fixed bug #428571 – [doc] Repetitive usage of "use".

2007-10-01 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/Makefile.am:
      configure.in:
      From Rémi Cardona <remi@gentoo.org>
      Use GNOME_MAINTAINER_MODE_DEFINES() to handle *_DISABLE_DEPRECATED

    * help/C/gcalctool.xml:
      gcalctool/calctool.c:
      gcalctool/display.c:
      gcalctool/calctool.h:
      gcalctool/functions.c:
      gcalctool/lr_tokeniser.l:
      gcalctool/ce_tokeniser.l:
      gcalctool/gcalctool.1:
      Fixed bug #428573 – [doc] Spelling of logical gates.
      The logical operations, And, Not, Or, Xor and Xnor now use uppercase
      letters (AND, NOT, OR, XOR and XNOR) for both the buttons and in the
      display area in arithmetic precedence mode. The gcalctool manual
      pages and the online help have been updated accordingly.

      The XOR operation in non-arithmetic mode was doing a multiplication 
      instead.

      The result for the AND example in the online help was incorrect.

      The syntax for using NOT in aritmetic mode is different then for
      non-arithmetic mode. The online help example has been updated to
      show both examples.

2007-09-28 Rich Burridge <rich.burridge@sun.com>

    * help/C/gcalctool.xml:
      gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/functions.c:
      gcalctool/lr_tokeniser.l:
      gcalctool/ce_tokeniser.l:
      gcalctool/gcalctool.1:
      gcalctool/gtk.c:
      gcalctool/ce_parser.y:
      With lots of help from Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #469245 – Hexadecimal input is not intuitive and
      bug #455889 – Copy/paste of lower case hex letter does not work.
      The hexadecimal digits have been changed back to their pre Sept
      2003 (bug #118826) values of "a" - "f".

      The following functions have also had their keyboard shortcuts
      reverted back to their pre Sept 2003 upper-case values:

      [A] - Set accuracy
      [C] - Change sign
      [D] - Double-declining depreciation
      [E] - Enter an exponential number
      [F] - User-defined functions

      With copy/paste operations, where the user is pasting a string into
      gcalctool, the copy buffer is now iterated over. If an "A", "B", "C",
      "D" or "F" character is encountered, it will be converted to its
      lowercase equivalent. If an "E" is found,  and the next character is a
      "-" or a "+", then it remains as an upper case "E" (it's assumed to be
      a possible exponential number), otherwise its converted to a lower
      case "e".

      Displaying of hex digits in the gcalctool display will still be
      in uppercase. Displaying of the "e" in an exponential number will
      still be in lower-case.

      The way to enter exponential numbers in arithmetic precedence mode
      has changed. The following four examples should show you the new
      correct syntax:

        1  2  Exp + 8  =              1200000000
      - 1  2  Exp + 8  =             -1200000000
        1  2  Exp - 8  =              0.00000012
      - 1  2  Exp - 8  =             -0.00000012

      In both left-to-right precedence and arithmetic precedence modes, if
      the user enters a numeric digit that is incorrect for the current
      numeric base, this shouldn't be allowed and should not be entered
      in the display.

      The gcalctool documentation (and tooltips) have been updated to
      reflect these changes.

2007-09-24 Rich Burridge <rich.burridge@sun.com>

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #479102 – memory registers dialogue should use ngettext.

2007-09-21 Rich Burridge <rich.burridge@sun.com>

    * Updated the MAINTAINERS file with Sami's new email address.

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #478961 – GtkAaction use.

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #478964 – don't use deprecated gtk_widget_ref func.

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #478979 – show menu help in statusbar.

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #479064 – should use ngettext on the Acc button.

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #479097 – use gtkmessagedialog.

    * From Christian Persch <chpe@gnome.org>
      gcalctool/gtk.c:
      Fixed bug #479066 – weird way to use gnome menus-have-icons setting.

2007-09-17 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.20.0.

2007-09-03 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.92.

2007-08-27 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.91.

2007-08-17 Rich Burridge <rich.burridge@sun.com>

    * From Lionel Le Folgoc
      gcalctool.desktop.in:
      Fixed bug #467442 – gcalctool does not appear in xfce4 menu.

2007-08-13 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.90.

2007-08-11 Rich Burridge <rich.burridge@sun.com>

    * MAINTAINERS:
      Adjusted to the new format.

2007-07-30 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.6.

2007-07-30 Jan Arne Petersen <jpetersen@jpetersen.org>

    * configure.in:
      Remove help/de/Makefile due to gnome-doc-utils migration.

2007-07-24 Rich Burridge <rich.burridge@sun.com>

    * From Christopher Taylor et al
      configure.in:
      gcalctool/gtk.c:
      Fixed bug #459702 – gcalc does not build against gtk+-2.11.6.
      Occurances of gtk_tooltips_set_tip are now gtk_widget_set_tooltip_text.

2007-07-22 Yair Hershkovitz <yairhr@gmail.com>
    * gcalctool/gtk.c:
      Always use left-to-right direction for button's boxes. Fixed bug
      #439415.

2007-07-08 Rich Burridge <rich.burridge@sun.com>

    * gcalctool.desktop.in:
      Applied Sun patch 
      /jds/spec-files/trunk/patches/gcalctool-01-menu-entry.diff.
      Changed the Comment line.

    * Released a gcalctool tarball for GNOME 2.19.5.

2007-06-26 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/mpmath.c:
      Fixed bug #451286 – 0 power of 0. This now returns 1 and not an error.

    * gcalctool/gtk.c:
      Fixed bug #450790 – crash in Calculator when pasting in a very large
      number.

2007-06-18 Rich Burridge <rich.burridge@sun.com>

    * From Jani Monoses
      Fixed bug #448263 – drop libgnome dependency

    * Released a gcalctool tarball for GNOME 2.19.4.

2007-06-04 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.3.

2007-05-21 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #439985 – Negative value not saved in memory register 
      across invocations of gcalctool. This was also a problem was negative
      constants.

2007-05-13 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.2.

2007-04-30 Rich Burridge <rich.burridge@sun.com>

   * gcalctool/display.c:
     gcalctool/functions.c:
     From: Sami Pietilä
     Fixed bug #419927 - calculator rcl function does not work as documented.

2007-04-23 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.19.1.
      (gcalctool version number now aligns with the GNOME 
       minor.micro numbers).

2007-04-18 Rich Burridge <rich.burridge@sun.com>

   * gcalctool/gtk.c:
     Fixed up various compiler warnings.

2007-04-13  Changwoo Ryu  <cwryu@debian.org>

    * configure.in:
      Removed line for help/ko/Makefile.in due to gnome-doc-utils
      migration.

2007-03-28 Rich Burridge <rich.burridge@sun.com>

   * gcalctool.desktop.in:
     Fixed bug #413443 – gnome-calculator is not publically visible icon.

2007-03-12 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Adjust "Paste" to _("Paste") in the for_each_menu() routine for 
      bug #317786 – copy and paste menu entries are always active.

2007-03-12 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.18.0 (Final).

2007-03-08  Christian Kirbach  <Christian.Kirbach@googlemail.com>

        * gcalctool.desktop.in:
        "Application" is not a valid category in the freedesktop specification.
	Added the GTK category.

2007-02-27 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fixed bug 412688 - gcalctool crashed with SIGSEGV in strlen().

2007-02-25 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.18.0 (Release Candidate).

2007-02-12 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.18.0 (beta-2).

2007-02-06 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fixed bug #402473 – Problems pasting back value when using 
      thousands separator.

2007-01-22 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.18.0 (beta-1).

2007-01-17 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fixed bug #397788 – Need spin control limit for Acc Other popup.

2007-01-16 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      From Thomas Molhave
      Fixed bug #317786 - copy and paste menu entries are always active.

2007-01-08 Rich Burridge <rich.burridge@sun.com>

    * All copyright messages updated for 2007.
    * Released a gcalctool tarball for GNOME 2.17.5.

2006-12-17 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.17.4.

2006-12-15 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #371669 - Floating Hexadecimal values converting to any.

2006-12-08 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #381037 – result can not be used for "mod" operation.

    * Fixed bug #369503 – Problems with 'arithmetic precedence mode'.

2006-12-04 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.17.3.

2006-11-28 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fixed bug #380145 – Markup error in alert message.

2006-11-27 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      In set_win_position(), initialized the x and y variables.

    * help/C/gcalctool.xml:
      Fixed bug #367754 - [doc] Update documentation for % operator.

    * help/C/gcalctool.xml:
      Fixed bug #367728 - [doc] Update documentation for Mod (Modulus 
      Division) operation.

    * help/C/gcalctool.xml:
      Fixed bug #367715 - [doc] Update doc to mention saving of memory 
      registers.

    * help/C/gcalctool.xml:
      Fixed bug #367718 - [doc] Documentation change needed for 
      View->Memory Registers menu item inactive.

    * help/C/gcalctool.xml:
      Fixed bug #367735 - [doc] Update documentation for Ctrm operation.

    * help/C/gcalctool.xml:
      Fixed bug #367740 - [doc] Documentation for Clear Entry and Clear 
      could be better.

    * help/C/gcalctool.xml:
      Fixed bug #367725 - [doc] Update documentation for the Memory 
      Register Window.

    * help/C/gcalctool.xml:
      Fixed bug #367720 - [doc] Documentation change needed for keyboard 
      shortcuts for buttons with menus associated with them.

    * help/C/gcalctool.xml:
      Fixed bug #367712 - [doc] Need to document how to enter scientific 
      number s with a negative exponent in AOP mode.

2006-11-20 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Modified patch from Sun Bugster bug #6480076.
      Made the gcalctool display areas focusable.

    * help/C/gcalctool.xml:
      Fixed bug #367722 – [doc] Update documentation for Xor and x^y 
      operations.

2006-11-18 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/gtk.c:
      Fixed bug #76572 - Primary selection is not recognised.

2006-11-04 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.17.2.

2006-10-30 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/display.c:
      gcalctool/functions.c:
      gcalctool/get.c:
      gcalctool/gtk.c:
      Fixed bug #358782 (http://bugzilla.gnome.org/show_bug.cgi?id=358782)
      Fixup sloppy string handling.

    * gcalctool/function.c:
      Fixup sloppy code indentation.
      Remove unwanted (commented out) code.
      Adjusted to /* ... */ style comments.

2006-10-23 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/get.c:
      From Paul Schulz:
      Fixed bug #364410 (http://bugzilla.gnome.org/show_bug.cgi?id=364410)
      Incorrectly rounded pi constant.

2006-10-16 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.17.1.

2006-10-07 Elijah Newren <newren gmail com>

    * gcalctool/gtk.c (create_change_mode_dialog): Remove markup from
      translatable messages.  #360453

2006-10-03 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/display.c:
      From Matt Keenan <matt dot keenen at sun period com>
      Fixed bug 359291 - crash when localized decimal point is greater 
      than 1 char. Removed the bogus assert.

2006-10-01 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      gcalctool/gtk.c:
      From Matthias Clasen:
      Fixed bug #358337 (http://bugzilla.gnome.org/show_bug.cgi?id=358337)
      gcalctool no longer crashes in the Oriya locale due to sloppy string
      handling.

2006-09-29 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fixed pr #354730 - crash in Calculator: running
      3x10^38 using bi..

2006-09-28 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fixed pr #357208 - Bitcalculating extension needs to
      support negative numbers

2006-09-22 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/extern.h:
      gcalctool/functions.c:
      gcalctool/functions.h:
      gcalctool/get.c:
      gcalctool/gtk.c:
      From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #157961 - Bitcalculating extension for gcalctool.

2006-09-13 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fixed pr #355648 - Error reporting should be consistent.

2006-09-13 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fixed pr #135140 - percent operator works not as expected.
	
2006-09-06 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      gcalctool/calctool.h:
      gcalctool/get.c:
      gcalctool/gtk.c:
      Fixed bug #349981 - gcalctool should save screen position for next 
      start.

2006-09-04 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.16.0 (Final).

2006-08-18 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.16.0 (RC1).

2006-08-09 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/functions.c:
      gcalctool/graphics.c:
      gcalctool/gtk.c:
      Removed several chunks of code that were surronded by #if 0/#endif.

2006-08-07 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/display.c:
      gcalctool/functions.c:
      gcalctool/graphics.c:
      Fixed bug #350341 (http://bugzilla.gnome.org/show_bug.cgi?id=350341)
      gcalctool now builds again with gcc v2.95.

2006-08-06 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.16.0 (beta2).

2006-07-28 Lucas Rocha <lucasr@gnome.org>

    * configure.in:
      Removed line for help/es/Makefile.in due to g-d-u migration.
    * help/Makefile.am:
      Removed es from SUBDIRS due to g-d-u migration. 

2006-07-24 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      More work on bug #347700 
      (http://bugzilla.gnome.org/show_bug.cgi?id=347700)
      Added another "Note to translators" comment for the Abs button labels.

    * configure.in:
      Fixed bug #348452 (http://bugzilla.gnome.org/show_bug.cgi?id=348452)
      Removed line for help/sv/Makefile.in

    * Released a gcalctool tarball for GNOME 2.16.0 (beta1).

2006-07-20 Rich Burridge <rich.burridge@sun.com>

    * gcalctool/calctool.c:
      Work on bug #347700 (http://bugzilla.gnome.org/show_bug.cgi?id=347700)
      Added a "Note to translators" comment for the Bksp and Clr button
      labels.

2006-06-10  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

    * gcalctool/gtk.c (about_cb): Updated FSF postal address.

2006-07-10 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.15.4.

2006-06-09 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.15.3.

2006-06-01 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #343150 (http://bugzilla.gnome.org/show_bug.cgi?id=343150)
      Gcalctool no longer crashes when switching to scientific mode.

2006-05-16 Rich Burridge <rich.burridge@sun.com>

    * Adjusted configure.in so that gcalctool now requires intltool v0.35.0.

2006-05-15 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.15.2.

2006-05-10 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixup compiler warnings from inclusion of last patch.

2006-05-08 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #163538 (http://bugzilla.gnome.org/show_bug.cgi?id=163538)
      Backspace results in mal-formed expression.

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      - = button is now also a one step undo. (This feature was temporary 
        disabled by the previous redo/undo patch.)

      - Removed gotos from do_expression function. (This change might add
        unstability as this is a major change to the expression mode state
        machine.)

      - Functions (such as sin, cos, tan..) can use previously calculated
        value.

2006-05-01 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      First cut at an Undo/Redo implementation for use with the arithmetic
      operator precedence mode.

2006-04-25 Rich Burridge <rich.burridge@sun.com>

    * Respun the gcalctool tarball for GNOME 2.15.1 because intltool
      is not Solarisized. It's generated constructs in .../po/Makefile.in.in
      that do not work on Solaris. The hack fix was to change the SHELL
      definition in .../po/Makefile.in.in to /bin/bask before running
      make; make install; make dist

    * Removed the no entry from the po/LINGUAS file.

2006-04-24 Rich Burridge <rich.burridge@sun.com>

    * Removed .../po/Makefile.in.in. Shouldn't have been in CVS.

    * Released a gcalctool tarball for GNOME 2.15.1.

2006-04-24 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #337897 (http://bugzilla.gnome.org/show_bug.cgi?id=337897)
      Changes to use po/LINGUAS file.

2006-04-17  Kjartan Maraas <kmaraas@gnome.org>

    * configure.in: Remove obsolete entry for no_NO.
    * po/no.po: And the translation.

2006-04-12 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #338220 (http://bugzilla.gnome.org/show_bug.cgi?id=338220)
      The 'Show trailing zeroes' option in the View menu should now be
      correctly set [in]sensitive depending upon which mode it's in.

2006-03-31 Rich Burridge <rich.burridge@sun.com>

    * Further work on the gcalctool automated test tools:
      - Now allows comment lines starting with '#' to be read (and ignored)
        in the input file. Same for blank lines.

      - Added a listener to not start reading standard input until the 
        application see a "focus:" event for gcalctool.

      - Adjusted the isApplication() routine in runtests.py to check for
        None.

2006-03-28 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #332023 (http://bugzilla.gnome.org/show_bug.cgi?id=332023)
      The bitwise operators now work in arithmetic operator precedence
      mode, when you use them with the result of a previous operation.

2006-03-28 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #327729 (http://bugzilla.gnome.org/show_bug.cgi?id=327729)
      The fields in the memory register window were not correctly aligned
      in some themes. In the create_rframe() routine in gtk.c, the code has
      been changed to use a gtk_table rather than ten gtk_hbox's.

2006-03-28 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #330867 (http://bugzilla.gnome.org/show_bug.cgi?id=330867)
      Added License info to the Gcalctool About dialog.

2006-03-27 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #335095 (http://bugzilla.gnome.org/show_bug.cgi?id=335095)
      Gcalctool no longer displays the current mode in the title bar when 
      in Basic mode (due to lack of space).

2006-03-27  Tommi Vainikainen  <thv@iki.fi>

    * .cvsignore, Makefile.am, configure.in, omf.make, xmldocs.make,
	m4/.cvsignore: Migrated to gnome-doc-utils build system for user
	manuals.

2006-03-27 Rich Burridge <rich.burridge@sun.com>

    * From Ross Burton <ross at burtonini dot com>
      Fixed bug #335236 (http://bugzilla.gnome.org/show_bug.cgi?id=335236)
      Gcalctool schemas files should be installed if built with
      "--without-gnome".

2006-03-27 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Adjustments to the AOP code so that e to the power of x gives the
      correct answer at high precision.

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

    * configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-17 Rich Burridge <rich.burridge@sun.com>

    * Added .../test/non_aop_input.txt, the start of an test file for
      gcalctool in non-arithmetic operator precedence mode.

2006-03-13 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.14.0 (Final).

2006-03-02 Rich Burridge <rich.burridge@sun.com>

    * From Elijah Newren <newren at gmail dot com>
      Fix for bug #333078 (http://bugzilla.gnome.org/show_bug.cgi?id=333078)
      cvs fails to build due to bg translation of help.

    * From Alexander Shopov <ash at contact dot bg>
      Inclusion of a translation of gcalctool help for the bg locale.

2006-02-27 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.14.0 (RC).

2006-02-12 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.14.0 (beta2).

2006-01-30 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.14.0 (beta1).

2006-01-23 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Refixed bug #323150 (http://bugzilla.gnome.org/show_bug.cgi?id=323150)
      The recent changes to the square root and subtraction button labels
      broke the token parser for arithmetic operator precedence.

2006-01-19 Rich Burridge <rich.burridge@sun.com>

    * Added the start of an automated test framework for gcalctool, written
      in Python, under the new "test" sub-directory. See the comments at the
      beginning of runtests.py for more information.

2006-01-17 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #327124 (http://bugzilla.gnome.org/show_bug.cgi?id=327124)
      Changes to fix bug #326344 had the side-effect of causing the CE
      button to no longer work correctly.

2006-01-17 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #327214 (http://bugzilla.gnome.org/show_bug.cgi?id=327214)
      The results from performing trig functions were not being passed on
      to future calculations correctly (in non-arithmetic operator precedence 
      mode).

2006-01-17 Theppitak Karoonboonyanan <thep@linux.thai.net>

    * Used U+00F7 (DIVISION SIGN) instead of U+2215 (DIVISION SLASH)
      for division sign, as discussed in
      http://mail.gnome.org/archives/gnome-i18n/2006-January/msg00137.html
      http://mail.gnome.org/archives/gnome-i18n/2006-January/msg00157.html

2006-01-13 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.13.5.

2006-01-12 Rich Burridge <rich.burridge@sun.com>

    * From Wouter Bolsterlee
      Fixed bug #323149 (http://bugzilla.gnome.org/show_bug.cgi?id=323149)
      Gcalctool now uses the Unicode symbols for division, multiplication, 
      plus/minus, minus and square root.

2006-01-10 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #326344 (http://bugzilla.gnome.org/show_bug.cgi?id=326344)
      The bit display of large numbers (in non-arithmetic operator precedence
      mode with the scientific view) now hopefully works correctly.

      It no longer converts the displayed number to a double then a long 
      long, which is where the loss of accuracy was occuring.

      This also involved adding a couple of parameters to the make_fixed() 
      routine in display.c to make it more generally useful for things like 
      this.

2006-01-09 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #142824 (http://bugzilla.gnome.org/show_bug.cgi?id=142824)
      Gcalctool no longer ignores locale specific numeric point in
      arithmetic operator precedence mode.

    * Adjusted all the copyright messages to include 2006.

2006-01-09 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #325074 (http://bugzilla.gnome.org/show_bug.cgi?id=325074)
      Gcalctool no longer crashes when you double click the 0 in the 
      display area. Problem was the return value of the mouse_button_cb()
      routine in gtk.c.

2005-12-30  Abel Cheung  <maddog@linuxhall.org>

    * configure.in: Added "zh_HK" to ALL_LINGUAS.

2005-12-23 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.13.4.

2005-12-21 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Final fix for bug #153854 
      (http://bugzilla.gnome.org/show_bug.cgi?id=153854)
      Now handles the case where the first thing the user does is 
      change mode (Basic, Financial, Advanced, Scientific) in AOP mode.

2005-12-19 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #323150 (http://bugzilla.gnome.org/show_bug.cgi?id=323150)
      Sqrt (and other similar operations) no longer fail in non-English 
      locales

2005-12-13 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #324001 (http://bugzilla.gnome.org/show_bug.cgi?id=324001)
      Primary Selection (middle mouse button) is now working.

2005-12-12 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.13.3.

2005-11-28 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      More work on bug #153854 
      (http://bugzilla.gnome.org/show_bug.cgi?id=153854)
      Similar change to that made on 15th November 2005, this time for
      arithmetic operator precedence (AOP) mode. Still need to correct 
      handle this is AOP mode if it's the first thing the user does.

2005-11-17 Rich Burridge <rich.burridge@sun.com>

    * Slight fixup for bug #157961. The toggling of the first bit in the
      bit panel wasn't working correctly. The long long lval variable in
      the bit_toggled() routine in gtk.c needed to be made unsigned.

2005-11-15 Rich Burridge <rich.burridge@sun.com>

    * More work on bug #153854 
      (http://bugzilla.gnome.org/show_bug.cgi?id=153854)
      If the user has completed a calculation and we are going to a
      new mode that is "compatible" with this one, then just change
      modes. Otherwise display a dialog warning the user that the
      current calculation will be cleared.
 
      Incompatible modes are:
 
      Scientific -> Basic
      Scientific -> Advanced
      Scientific -> Financial
 
      (unless we are in Scientific mode with Decimal numeric base and Fixed).
      These changes work nicely in non-arithmetic operator precedence mode.
      For some reason, the display is still being cleared in arithmetic
      operator precedence mode. Keeping the bug open and transferring to 
      Sami for further evaluation.

2005-11-14 Rich Burridge <rich.burridge@sun.com>

    * Released a gcalctool tarball for GNOME 2.13.2.

2005-11-03 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #316755 (http://bugzilla.gnome.org/show_bug.cgi?id=316755)
      Gcalctool no longer has "Gdk-CRITICAL **: gdk_window_invalidate_rect: 
      assertion `window != NULL' failed" warnings at startup.

2005-10-27 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #319934 (http://bugzilla.gnome.org/show_bug.cgi?id=319934)
      The percent operator was broken in non-arithmetic operator precedence
      mode.

2005-10-13 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #317378 (http://bugzilla.gnome.org/show_bug.cgi?id=317378)
      Exponential notation now works correctly in arithmetic operator
      precedence mode.

2005-09-26 Rich Burridge <rich.burridge@sun.com>

    * Slight adjustment to the bit panel. It's now centralized.

2005-09-23 Rich Burridge <rich.burridge@sun.com>

    * Adjusted the mpcmim() routine in mp.c. The fix for Sun bug #4006391
      needed to also preserve v->toclear and v->pointed.

    * Work on enhancement request #157961
      (http://bugzilla.gnome.org/show_bug.cgi?id=157961).
      Started to implement the bit panel for non-arithmetic precedence mode.
      It's automatically displayed when in Scientific mode.

2005-09-19 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Implemented enhancement request #148104 for arithmetic precedence
      mode (http://bugzilla.gnome.org/show_bug.cgi?id=148104)
      The modulo operation. See entry below for more details.

2005-09-15 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #316382 (http://bugzilla.gnome.org/show_bug.cgi?id=316382)
      The "useless" cursor is no longer displayed in the calculator 
      display area.

2005-09-15 Rich Burridge <rich.burridge@sun.com>

    * Implemented enhancement request #148104 for non-arithmetic precedence
      mode (http://bugzilla.gnome.org/show_bug.cgi?id=148104)
      Added in a modulo operation. This is available in Scientic Mode.
      A Mod B return the remainder when you divide A by B. A and B must be
      integers. Keyboard shortcut for this operation is "M".

2005-09-13 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #162453 (http://bugzilla.gnome.org/show_bug.cgi?id=162453)
      The memory register dialog now uses GtkEntry widgets to display the
      register values. Gnopernicus can now correctly speak the contents of 
      each memory register. There is also a close button to easily dismiss 
      this dialog.

2005-09-13 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #314540 (http://bugzilla.gnome.org/show_bug.cgi?id=312609)
      The memory register window is now a dialog rather than a top-level 
      window.

2005-09-12 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #311307 (http://bugzilla.gnome.org/show_bug.cgi?id=311307)
      Fix to prevent invalid numeric entry in arithmetic operator precedence
      mode, depending upon the current base.

2005-09-12 Rich Burridge <rich.burridge@sun.com>

    * From yselkowitz at users dot sourceforge dot net
      A number of the bison- and flex-related make rules in 
      .../gcalctool/Makefile.am were broken when builddir != srcdir. 

2005-08-26 Rich Burridge <rich.burridge@sun.com>

    * From dmacks at netspace dot org
      Fixed bug #314540 (http://bugzilla.gnome.org/show_bug.cgi?id=314540)
      The libparser.a library needs ranlib run on it for Mac OS X.

2005-08-24 Rich Burridge <rich.burridge@sun.com>

    * From Diego Petten? <flameeyes at gentoo dot org>
      Fixed bug #314375 (http://bugzilla.gnome.org/show_bug.cgi?id=314375)
      Replaced usage of malloc.h with stdlib.h in syntax_translation.c

2005-08-22 Rich Burridge <rich.burridge@sun.com>

    * Generated release for GNOME 2.12 (RC)

    * From Olaf Heiring <olh at suse dot de> (via Rodrigo Moya)
      Changed type of argument in paren_disp from char to int for 64bit.

2005-08-11 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #313255 (http://bugzilla.gnome.org/show_bug.cgi?id=313255)
      The definitions for BUT_<n>_BAS in gtk.c were incorrect.

2005-08-08 Rich Burridge <rich.burridge@sun.com>

    * Generated release for GNOME 2.11.91 (beta2).

2005-08-04  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

    * configure.in: Added "te" to ALL_LINGUAS

2005-08-03 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fixed pr310167. Removed "ans" from the list of translated words.
	
2005-07-25 Rich Burridge <rich.burridge@sun.com>

      Fixed bug #311306 (http://bugzilla.gnome.org/show_bug.cgi?id=311306)
      If the user was in View->Scientific with base Bin, Oct or Hex and 
      then went to View->Basic, then returned to View->Scientific, some of
      the numeric keys were incorrectly greyed out.

2005-07-19 Rich Burridge <rich.burridge@sun.com>

    * From Christian Krause <chkr at plauener dot de>
      Fixed bug #310849 (http://bugzilla.gnome.org/show_bug.cgi?id=310849)
      Gcalctool no longer crashes when pressing the "B" button (or typing 
      Shift-B).

2005-07-18 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #310791 (http://bugzilla.gnome.org/show_bug.cgi?id=310791)
      Memory register window view logic was screwed.

2005-07-15 Rich Burridge <rich.burridge@sun.com>

    * From Jens Granseuer <jenssgr at gmx dot net>
      Fixed bug #310441 (http://bugzilla.gnome.org/show_bug.cgi?id=310441)
      Adjusted code to compile with gcc 2.95.2. (There was an assert before
      variable declarations in do_tfunc() in functions.c

2005-07-11 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #153854 (http://bugzilla.gnome.org/show_bug.cgi?id=153854)
      When the user changes modes, a warning dialog is displayed to let
      them know that their current display will be cleared and the base
      reset to decimal. The user has the option of checking a toggle box
      on the dialog, that will prevent this warning from being displayed 
      again.

2005-07-01 Rich Burridge <rich.burridge@sun.com>

    * From Matt Keenan <matt.keenan@sun.com>
      Fixed bug #309294 (http://bugzilla.gnome.org/show_bug.cgi?id=309294)
      Adjustments to allow gcalctool to successfully build on Solaris with
      pkgconfig >= 0.17.1

2005-06-30 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #309182 (http://bugzilla.gnome.org/show_bug.cgi?id=309182)
      In non-arithmetic precdence mode, gcalctool can now correctly change
      the sign of the exponent on scientific numbers again. The problem was
      caused by a chunk of code being removed from the handling of the 
      "+/-" case when the arithmetic operator precedence code was merged in.

2005-06-21 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #308408 (http://bugzilla.gnome.org/show_bug.cgi?id=308408)
      gcalctool can now correctly convert the hexadecimal numbers "A-F"
      to other bases in "use arithmetic operator precedence mode".

2006-06-10  Jordi Mallach  <jordi@debian.org>

	* gcalctool/gcalctool.1: Fix two typos (Debian Bug#310356).

2006-06-03  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "gl" to ALL_LINGUAS.

2005-05-31 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Fixed bug #305619 (http://bugzilla.gnome.org/show_bug.cgi?id=305619)
      Calculations with stored register values in arithmetic operator 
      precedence mode, now work correctly.

2005-05-26 Rich Burridge <rich.burridge@sun.com>

    * From Christian Krause <chkr at plauener dot de>
      Fixed bug #305034 (http://bugzilla.gnome.org/show_bug.cgi?id=305034)
      In "Use Arithmetic Precedence" mode, when switching the format 
      (e.g. from ENG to FIX), the displayed value switches to zero (in the 
      corresponding format, so e.g. 0.0 or 0e+0, ...).

2005-05-25 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #305467 (http://bugzilla.gnome.org/show_bug.cgi?id=305467)
      gcalctool no longer crashes under the following scenerio:
      - type "f" to bring up the user function menu.
      - dismiss the menu by clicking elsewhere with the mouse.
      - type another character which isn't in the range "0" to "9".

2005-05-18 Rich Burridge <rich.burridge@sun.com>

    * Did a gcalctool tarball release.

2005-05-16 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #304056 (http://bugzilla.gnome.org/show_bug.cgi?id=304056)
      Adjusted the keyboard shortcuts for the Xor and x^y operations.
      New values are:
      Xor - 'x'
      x^y - '^'

2005-05-02 Rich Burridge <rich.burridge@sun.com>

    * From Paolo Borelli <pborelli at katamail dot com>
      Fixed bug #302555 (http://bugzilla.gnome.org/show_bug.cgi?id=302555)
      Various gcalctool variables have now been const'ified.

2005-04-21 Rich Burridge <rich.burridge@sun.com>

    * From Vincent van Adrighem <adrighem at gnome dot org>
      Fixed bug #300957 (http://bugzilla.gnome.org/show_bug.cgi?id=300957)
      Replaced the underscore character in "translator_credits" with a
      hyphen, to prevent some translation tools from being confused.

2005-04-13 Rich Burridge <rich.burridge@sun.com>

    * More work on bug #172704. 
      - Adjusted the code to not try to display a menu when the user 
        entered a left parentheses (another do_pending() type of 
        operation).
      - Toggling the "Show Trailing Zeroes" operation via keyboard
        shortcuts, needed to clear the v-.pending flag.

2005-04-11 Rich Burridge <rich.burridge@sun.com>

    * Fixed up some problems reported by lint.

2005-04-07 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #172704 (http://bugzilla.gnome.org/show_bug.cgi?id=172704)
      Fixed bug #172869 (http://bugzilla.gnome.org/show_bug.cgi?id=172869)
      When the user now uses the keyboard shortcut for any of the gcalctool
      buttons that have a menu associated with them, that menu is now displayed.
      The user can use the arrow keys to select a menu item or the menu items 
      shortcut.

2005-04-06 Rich Burridge <rich.burridge@sun.com>

    * From Alan Horkan <horkana@tcd.ie>
      Fixed bug #171393 (http://bugzilla.gnome.org/show_bug.cgi?id=171393)
      Allow stock labels to show through. Should make translation that 
      little bit easier. 

2005-04-06 Rich Burridge <rich.burridge@sun.com>

    * Refixed bug #158280 (http://bugzilla.gnome.org/show_bug.cgi?id=158280)
      The Help->Contents menu item no longer appears if gcalctool is built
      Gtk-only.

2005-04-06 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #172798 (http://bugzilla.gnome.org/show_bug.cgi?id=172798)
      gtk_set_locale was already being run by gtk_init() and the gtk about 
      popup didn't have the gcalctool icon.

2005-03-31  Steve Murphy  <murf@e-tools.com>

    * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-28  Abel Cheung  <maddog@linuxhall.org>

    * configure.in: Added "tr" to ALL_LINGUAS.

2005-03-31 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fix for bug #172150
    * Minor fix: the initial zero value is not anymore used as a
      function parameter.

2005-03-23 Rich Burridge <rich.burridge@sun.com>

    * Fixed Sun internal CR #6214176. If gcalctool is being driven by gok, 
      the on-screen keyboard assistive technology, it's possible that the 
      event returned by gtk_get_current_event() is NULL. If this is the 
      case, we need to fudge the popping up on the menu associated with 
      this menu button.

2005-03-23 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #158280 (http://bugzilla.gnome.org/show_bug.cgi?id=158280)
      You can now build gcalctool without the GNOME libraries by specifying
      "--disable-gnome" on the configure command line.

2005-03-22  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-19 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fix for bug #168385
    * Minor cleanups
	
2005-03-10 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #167479 (http://bugzilla.gnome.org/show_bug.cgi?id=167479)
      gcalctool with set the View->Memory Registers menu item inactive if
      the calculator is in Basic mode.

2005-03-07 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #169196 (http://bugzilla.gnome.org/show_bug.cgi?id=169196)
      gcalctool now uses use g_get_home_dir().

    * Added in a better implementation of the trig_filter() routine in 
      functions.c

    * Fixed bug #168694 (http://bugzilla.gnome.org/show_bug.cgi?id=168694)
      gcalctool now saves/restores the ten memory register values as gconf 
      resources.

    * Removed the redundant process_str() routine in graphics.c

2005-03-07 Rich Burridge <rich.burridge@sun.com>

    * Version for GNOME 2.10.0 (final) call for tarballs.

2005-03-07 Irene Ryan <irene.ryan@sun.com>
			(on behalf of Maeve Anslow)

	* help/C/gcalctool.xml; updated help manual
	* help/C/gcalctool-C.omf; updated OMF file details
	* help/C/l10n.txt; updated instructions for L10N
	* help/C/figures/gcalctool_basic_window.png; updated screenshot
	* help/C/figures/gcalctool_scientific_window.png; updated screenshot
	
2005-02-28 Rich Burridge <rich.burridge@sun.com>

    * Version for GNOME 2.10.0 (rc1) call for tarballs.

2005-02-27 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Partial fix for bug 168385 
      (http://bugzilla.gnome.org/show_bug.cgi?id=168385)
      "F+F=" wasn't working in arithmetic operator precedence mode.

2005-02-18 Rich Burridge <rich.burridge@sun.com>

    * From Sami Pietila <sampie@ariana-dsl.utu.fi>
      Changes to make the trigonometric code work with hyp and inv
      properly.

2005-02-15 Rich Burridge <rich.burridge@sun.com>

    * The fix for bug #162998 was incorrect when in Arithmetic Precedence
      mode. Had to remove an extra bogus signal handler that shouldn't
      have been connected up for menu-type buttons.

    * Exch functionality was incorrect in Arithmetic Precedence mode.

    * Left and Right shift operations weren't working correctly. Menu
      name comparison in mb_proc() in gtk.c was incorrect.

2005-02-11 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 167124 (http://bugzilla.gnome.org/show_bug.cgi?id=167124)
      One of the entries in the words[] array in syntax_translation.c was
      accidentally commented out.

2005-02-08 Rich Burridge <rich.burridge@sun.com>

    * From Dennis Cranston <dennis_cranston at yahoo com>
      Fixed bug 166634 (http://bugzilla.gnome.org/show_bug.cgi?id=166634)
      Call to create the About box was missing a NULL terminator.

2005-02-07 Rich Burridge <rich.burridge@sun.com>

    * Adjusted all copyright messages to be 2005.
    * Version for GNOME 2.10.0 (beta2) call for tarballs.

2005-02-03 Rich Burridge <rich.burridge@sun.com>

    * From Naveen & Team < naveenchandranv@gmail.com >
      Fixed bug #165522 (http://bugzilla.gnome.org/show_bug.cgi?id=165522)
      Made the status bar non-resizable.

2005-01-31 Rich Burridge <rich.burridge@sun.com>

    * From Mariano Suárez-Alvarez <msuarezalvarez at arnet dot com dot ar>
      Various code cleanups. It moves some declarations of static functions 
      to the corresponding .c files. It also cuts down the number of 
      included files, moving some includes to where they are needed from 
      calctool.h.

2005-01-31 Rich Burridge <rich.burridge@sun.com>

    * From Kristof Vansant <de_lupus at pandora dot be>
      Adjusted the About dialog to use the latest GtkAbout widget.

2005-01-24 Rich Burridge <rich.burridge@sun.com>

    * Version for GNOME 2.10.0 (beta1) call for tarballs.

2005-01-21 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #162998 (http://bugzilla.gnome.org/show_bug.cgi?id=162998)
      The "menu" buttons in gcalctool now responds to the "clicked" event
      rather than the "button-press-event" to allow gok, the on-screen 
      keyboard to function properly.

    * Fixed bug #159957 (http://bugzilla.gnome.org/show_bug.cgi?id=159957)
      Input number in FIX mode now make mimimal changes to (i.e append a
      single character) the display rather than completely delete and
      insert it. The is helpful to assistive technologies like gnopernicus.

2005-01-18 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #164184 (http://bugzilla.gnome.org/show_bug.cgi?id=164184)
      Adjusted location of comments in syntax_translation.c so that the
      L10N message translation software isn't confused.

2005-01-12 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #163468 (http://bugzilla.gnome.org/show_bug.cgi?id=163468)
      Pressing "(<Del>)" would cause gcalctool to crash.

2004-01-10 Rich Burridge <rich.burridge@sun.com>

    * Version for GNOME 2.9.4 call for tarballs.

2004-01-03 Rich Burridge <rich.burridge@sun.com>

    * From Pádraig Brady < P at draigBrady dot com >
      Couldn't use the "#" key to select constants as this symbol was
      a lower-case symbol on his keyboard.

    * From Pádraig Brady < P at draigBrady dot com >
      Powers that were a multiple of 30 (10 as well as 3) would not 
      display correctly, having a 4 digit significand. Further testing 
      showed that without the fix the following powers had a 4 digit 
      significand: 27,30, 57,60, 90, 96 (and every 3 from here on). 

2004-01-03 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #161976 (http://bugzilla.gnome.org/show_bug.cgi?id=161976).
      configure.in now checks to make sure that atk >= 1.5

2005-01-03 Naveen & Team < naveenchandranv@gmail.com >

    * Fixed bug #155101 (http://bugzilla.gnome.org/show_bug.cgi?id=155101).
      Made the gcalctool window resizable.

2004-12-21 Rich Burridge <rich.burridge@sun.com>

    * Version for GNOME 2.9.3 call for tarballs.

2004-12-17 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #160929 (http://bugzilla.gnome.org/show_bug.cgi?id=160929).
      Removed the "Mode" word from each of the different mode menu items 
      in the gcalctool View menu.

2004-12-01 Rich Burridge <rich.burridge@sun.com>

    * From Hidetoshi Tajima <Hidetoshi dor Tajima at Sun dot COM>
      Fixed bug #157701 (http://bugzilla.gnome.org/show_bug.cgi?id=157701).
      gcalctool can now use real multiplication and division symbols
      instead of "*" and "/". This is done via locale string translations.
      There is now a new en_US.po message file included with the
      distribution.

    * Latest that same day...
      Adjusted the multiplication and division entries in the en_US.po
      file to be "*' and "/" to stop the Ximian tinderbox build breaking.
      This "fix" needs further investigating.

2004-12-01 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #160088 (http://bugzilla.gnome.org/show_bug.cgi?id=160088).
      Adjusted the titlebar text so that it doesn't include the word "Mode"
      which was getting chopped when the calculator was in Basic mode.

2004-11-29 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #157962 (http://bugzilla.gnome.org/show_bug.cgi?id=157962).
      Added in a set of three colors for gcalctool that will work with 
      the default theme. To use them, the "gcalctoolrc" file supplied with
      the source distribution needs to be moved to ~/.gcalctoolrc

2004-11-29 Rich Burridge <rich.burridge@sun.com>

    * Generated gcalctool tarball for the GNOME 2.9.2 release.

2004-11-15 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug #158357 (http://bugzilla.gnome.org/show_bug.cgi?id=158357).
      Removed the -DGNOME_DISABLE_DEPRECATED and the -DGTK_DISABLE_DEPRECATED
      flags from the INCLUDES definition in .../gcalctool/Makefile.am for now,
      to allow it to successfully build against the latest GNOME/Gtk+.

    * Slight adjustment to correct check the Advanced mode menu item when
      the user had previously terminated gcalctool in that mode.

    * Adjusted the scroll_right() routine to only scroll right if the 
      horizontal scroll bar is visible.

2004-11-14 Rich Burridge <rich.burridge@sun.com>

    * Changed the names of the gconf mode type key so that there is
      backward compatibility. Old key name was "mode". New key name
      id "modetype".

    * Reset the initial default mode to BASIC.

2004-11-11 Rich Burridge <rich.burridge@sun.com>

    * From Sebastien Estienne <sebastien dot estienne at gmail.com>
      Changes to add in a very basic mode for gcalctool. Rather than calling
      this a "Light" mode, the existing "Basic" mode is now renamed to
      "Advanced" and the new basic mode is called "Basic".

      Took a different approach from Sebastien in implementing this, so that
      I could easily add in an extra row of buttons over what he'd sent in 
      his patch.  These are Bksp, CE, Clr and +/- (change sign).

    * Fixed bug #157757 (http://bugzilla.gnome.org/show_bug.cgi?id=157757)
      The horizontal scrollbar for the display area will now only be visible
      when needed. It will also display the rightmost part of the display
      as you are entering new input.

2004-11-04 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Converted parsers to use calc_xpowy() instead of mppwr2().
    * Addressed some compiler warnings

2004-11-03 Rich Burridge <rich.burridge@sun.com>

    * Partial fix for bug #157021 
      (http://bugzilla.gnome.org/show_bug.cgi?id=157021).
      Changes have been added to fix this for non-arithmetic precedence mode.
      for x ^ y, if x is negative and y is an integer, then the mppwr() MP
      routine is used instead of mppwr2(). Added a new calc_xpowy() routine 
      in mpmath.c to do this calculation. Also added a show_error() routine
      to functions.c to display the error in the status bar if the user
      enters -X with non-integer Y.

2004-11-02 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * -x^y was intepreted -(x^y). Fixed. 
    * Also removed implicit multiplication as it caused problems.

2004-11-01 Rich Burridge <rich.burridge@sun.com>

    * Generated gcalctool tarball for first GNOME 2.9 release.

2004-10-15 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Fixed pr 148639.  

2004-09-30 Rich Burridge <rich.burridge@sun.com>

    * Slight adjustment to bug #152301
      (http://bugzilla.gnome.org/show_bug.cgi?id=152301)
      The tooltip message had been tweaked to 
      "Show the About Gcalctool dialog".

2004-09-28 Pawan Chitrakar 

	* configure.in: Added "ne" Nepali in ALL_LINGUAS

2004-09-27 Rich Burridge <rich.burridge@sun.com>

    * From Christian Rose <menthos at menthos dot com>
      Fixed bug #152301 (http://bugzilla.gnome.org/show_bug.cgi?id=152301)
      Adjusted the tooltip message for Help->About... from "Show about help"
      to "Show the about dialog", to make it more understandable.

2004-09-27 Rich Burridge <rich.burridge@sun.com>

    * From Heikki Tauriainen <heikki dot tauriainen at hut dot fi>
      Fixed bug #153726 (http://bugzilla.gnome.org/show_bug.cgi?id=153726)
      Gcalctool will now build correctly when using the -fno-common option 
      for gcc (3.3.4).

2004-09-26 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Numerical localization (and thousand separator) disabled if an expression
      with parenthesis is entered in non-arithmetic precedence mode.
      
2004-09-24 Rich Burridge <rich.burridge@sun.com>

    * If the accuracy was changed via one of the ten preset menu items
      in the Acc menu, the tooltip wasn't getting correct updated with 
      the new accuracy.

2004-09-23 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Numerical answer localization and thousand separator support
      for arithmetic precedence mode.

2004-09-02 Rich Burridge <rich.burridge@sun.com>

    * Fixed rfe #147803 (http://bugzilla.gnome.org/show_bug.cgi?id=147803)
      Further changes to the "Set Precision" popup.
      - "Significant places" not "Significant Places".
      - Change "Set Precision..." to be "Other (12) ..." (where "(12)" is
        the current precision, and be in the same radio box group as 
        the other menu items. Check the appropriate menu entry
      - Adjust the Acc button tooltip to show the current accuracy too.
      - When the user attempts to enter an invalid entry in the Set 
        Precision popup, an error message is shown in the main gcalctool 
        status bar.
      - the other Acc radio button items (0-9) need to have mnemonics (_0,
        _1 ...).

    * From Jens Granseuer (jensgr at gmx dot net)
      Fixed bug #152790 (http://bugzilla.gnome.org/show_bug.cgi?id=152790)
      Most of the changes needed were already in CVS; there was one compiler
      warning that still needed to be removed.

    * Storing the display value to a memory register was not updating the
      memory register window, if it was visible.

2004-09-02 Rich Burridge <rich.burridge@sun.com>

    * Added in functionality to set the number of significant places > 9.
      There is a new menu item under the Acc menu called "Set Precision..."
      that brings up a small popup allowing you to set precision between 0
      and MAXACC significant places (where MAXACC is currently 30).

2004-09-08  Gora Mohanty  <gmohanty@cvs.gnome.org>
                                                                                
        * configure.in: Added 'or' to ALL_LINGUAS.

2004-08-24 Breda McColgan <breda.mccolgan@sun.com>

	* help/C/gcalctool.xml: Updated for GNOME 2.8, technical review draft	* help/C/gcalctool-C.omf: Updated for GNOME 2.8
	* help/C/l10n.txt: Updated for GNOME 2.8
	* help/C/figures/gcalctool_basic_window.png: Updated for GNOME 2.8

2004-08-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add Â«nbÂ» to ALL_LINGUAS.

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-02 Rich Burridge <rich.burridge@sun.com>
    
    * Refixed bug 148381 (http://bugzilla.gnome.org/show_bug.cgi?id=148381)
      This time removed the .../help/<locale>omf_timestamp files as well.

2004-08-01 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * (Re)implemented paste functionality.

2004-07-27 Rich Burridge <rich.burridge@sun.com>

    * Fixed up numerous warnings generated by running lint on the gcalctool
      code. Removed unused variables and functions. Declared routines
      statically where possible.

2004-07-27 Rich Burridge <rich.burridge@sun.com>

    * From Joe Marcus Clarke (marcus at freebsd dot org)
      Fixed bug 148581 (http://bugzilla.gnome.org/show_bug.cgi?id=148581)
      Changes to get latest gcalctool compiling on a BSD system.

2004-07-26 Rich Burridge <rich.burridge@sun.com>

    * Added various filenames to .../gcalctool/.cvsignore.
    * Added mkinstalldirs so that I could successfully do a "make dist"
      on my Solaris machine.
    * Removed ChangeLog-NG and FIXME references from Makefile.am
    * Version 5.5.0 released.

2004-07-26 Rich Burridge <rich.burridge@sun.com>

    * Added:
      gcalctool/mpmath.c
      gcalctool/syntax_translation.c
      to ../po/POTFILES.in (thanks Marcel Telka!).

2004-07-26 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 148381 (http://bugzilla.gnome.org/show_bug.cgi?id=148381)
      Removed the unwanted ...omf.out files from under the .../help/
      directories, an artifact of the gcalctool-ng branch merge.
      Removed the unwanted Makefile and Makefile.in files from the same
      directories.

2004-07-23 Sami Pietila <sampie@ariana-dsl.utu.fi>
    * Menu option "Arithmetic Precedence" mode is disabled on error condition.
    * Remove goto commands from do_expression()

2004-07-22 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Error is reported and input not accepted if a number exceeds 40 chars.
    * Added e+ and e- notation support to ce_tokeniser.
    * xh, xd, xb and xo support removed (from ce_tokeniser), where x is a number.
    * Empty input is always displayed as zero.
    * Removed some redundant #ifdefs
    * Applied a patch from Rich Burridge. The patch removes goto from exp_del_char()
    * Changed macro N_() to _() from statusbar entries.
    * Postfix operations can now use empty (zero) expression as a operator

2004-07-19 Rich Burridge <rich.burridge@sun.com>

    * Added in function prototypes to fixup warning messages from the compiler.
    * Added a final newline in both .l files, so that they could be correctly
      compiled on a Solaris machine.
    * Removed the "[Experimental]" from the titleline.

2004-07-19 Rich Burridge <rich.burridge@sun.com>

    * Removed ChangeLog-NG. It's not needed.
    * Added the contents of FIXME to the TODO file and removed
      FIXME.
    * Added Copyright comments to the source files that didn't have
      them.
    * Adjusted the C code to the "One True Style". If/when you take over
      ownership of gcalctool, I'm happy for you to revert it to whatever
      style you like, but while I've got to maintain it, then all the source
      code will be a consistent style. Sorry.
    * Removed commented out C code or code surronded by "#if 0". It just 
      leads to confusion. Look at the previous versions in CVS history if 
      you need to see what was there.
    * Adjusted code so that line length is less than 80 characters (wherever
      possible).
    * Adjusted comments to "/* ... */" style. The "// ..." style is not
      recognized by default with the Sun compiler.
    * Removed all Tabs. Tabs are evil.
    * Indentation is four spaces not two.
    * Added blank lines where appropriate to make the code more readable.
    * Adjusted code to define variables at the top of a routine.
    * Remove the "Next Generation (Experiemental)" from the about box.
    * Changed copyright dates to include 2004.
    * Removed the "word:" Gnuism from the words[] struct in 
      syntax_translation.c. Similar problems with another struct in the
      same source file.

2004-06-18 Christian Neumair <chris@gnome-de.org>

     * gcalctool/functions.c, gcalctool/graphics.c: s/precedencer/precedence/

     * gcalctool/gtk.c: Mark missing GtkActionEntry entries in menu entry
     array for translation.

     * (create_kframe): Call gtk_action_group_set_translation_domain to enable
     menu i18n.

2004-06-18 Archana Shah <archana.shah@wipro.com>
 
     * gcalctool/gtk.c: Following functions added.
 
     * (gcalc_window_get_menu_items): Function to get the menu_items for actions
       which are having icons associated with them.
 
     * (gcalc_window_have_icons_notify): Function to be notified when key
       '/desktop/gnome/interface/menus_have_icons' toggles.
 
     * (gcalc_window_set_unset_image): Based on the value of above mentioned 
       gconf key, icons will be set/unset.
 
     * Fixes bug#144596 

	
2004-06-14 Sami Pietila <sampie@ariana-dsl.utu.fi>

    * Merge from NG-branch.
	
2004-06-14 Rich Burridge <rich.burridge@sun.com>

    * Remainder of the fix for bug #143924.
      http://bugzilla.gnome.org/show_bug.cgi?id=143924
      Control-T shouldn't work in Basic or Financial modes. 
      I should have been using:

        g_object_set(gtk_ui_manager_get_action(X->ui, i),  \
                     "sensitive", state, NULL);

      rather than:

        gtk_widget_set_sensitive(gtk_ui_manager_get_widget(X->ui, i), state)

      to set the [in]activeness state of the various menubar menu items.

2004-06-11 Rich Burridge <rich.burridge@sun.com>

    * Partial fix for bug #143924.
      http://bugzilla.gnome.org/show_bug.cgi?id=143924
      After an error condition, the "Show Trailing Zeroes" menu item is
      only activated if the user is in Scientific mode.

2004-06-09 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 138106 (http://bugzilla.gnome.org/show_bug.cgi?id=138106)
      In Basic or Financial mode, "Error" was been incorrectly display if
      you user has "Show Thousands Separator" set.

2004-06-09 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 144031 (http://bugzilla.gnome.org/show_bug.cgi?id=144031)
      gcalctool checked for the presence of the X11 libraries but doesn't
      need to. Checks removed from configure.in.

2004-06-09 Rich Burridge <rich.burridge@sun.com>

    * Selecting Help->About from the menubar wasn't doing anything. 
      With the switch to using the GtkUIManager, the hooks to link 
      up to the about_cb were incorrect.

2004-06-01 Rich Burridge <rich.burridge@sun.com>

    * Adjusted the creation of the Accuracy and Left/Right shift menus
      from GtkItemFactory to GtkUIManager. 

      With this change, the -DGTK_DISABLE_DEPRECATED flag can now be 
      added back into .../gcalctool/gcalctool/Makefile.am.

2004-05-29 Rich Burridge <rich.burridge@sun.com>

    * Adjusted the menubar creation in gtk.c from GtkItemFactory to
      GtkUIManager. 

2004-05-29  Christian Rose  <menthos@menthos.com>

    * configure.in: Added "tk" to ALL_LINGUAS.

2004-05-26 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 142824 (http://bugzilla.gnome.org/show_bug.cgi?id=142824)
      gcalctool now correctly recognizes the localized decimal point
      character by explicitly checking to see if the keyboard event keyval
      matches what's returned by localeconv()->decimal_point.

2004-05-25 Udayan Kumar <udayan_kumar@da-iict.org>
 
    * From Rich Burridge <rich.burridge@sun.com>
      Fixed bug 136119 (http://bugzilla.gnome.org/show_bug.cgi?id=136119)
      gcalctool/calctool.c : structure button b_bottons 
      Added code for paranthesis in place of empty space

2004-05-23 Rich Burridge <rich.burridge@sun.com>

    * From Michael Terry <mterry@fastmail.fm>
      Fixed bug 129397 (http://bugzilla.gnome.org/show_bug.cgi?id=129397)
      gcalctool.desktop.in, gcalctool/Makefile.am, gcalctool/gtk.c:
      Use GtkIconTheme to load gcalctool icon instead of built-in image.

2004-05-21 Rich Burridge <rich.burridge@sun.com>

    * From Balamurali Viswanathan  <balamurali viswanathan at wipro dot com>
      Fixed bug 142888 (http://bugzilla.gnome.org/show_bug.cgi?id=142888)
      gcalctool is now connected to the "die" signal so that it can be
      successfully terminated when removed from gnome-session-properties.

2004-05-21 Rich Burridge <rich.burridge@sun.com>

    * Change suggested by Ron Jenkins.
      The "Bsp" (Backspace) button has been relabeled "Bksp" to make it
      more understandable. The gcalctool man pages have been updated to
      reflect this change. The online help will be updated at GNOME 2.8
      release time (see bug #138367).

2004-05-17  Dan Winship  <danw@novell.com>

    * gcalctool/calctool.c: s/malloc.h/stdlib.h/

2004-05-17 Padraig O'Briain <padraig.obriain@sun.com>

    * gcalctool/caltool.h: Add second argument to set_display to specify 
      whether to mminimize changes.

    * gcacltool/calctool.c gcalctool/display.c gcaltool/functions.c: 
      Add second argument to calls to set_display. It is set to TRUE only 
      when adding a digit after pressing caclulator button or deleting 
      digit after pressing backspace.

    * gcacltool/gtk.c (set_display): Implement second argument
      minimize changes. Do nothing if display is not being changed.

      Fixes bug #134376.

     [Note that with this change, gcalctool now requires the Gtk that 
      comes with GNOME 2.6 or later in order to build].

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

    * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-28 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 138106 (http://bugzilla.gnome.org/show_bug.cgi?id=138106)
      If the "Error" message is being displayed, it is now no longer
      incorrectly displayed as "Er,ror" if the "Show Thousands Separator"
      is on.

2004-03-28 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 135068 (http://bugzilla.gnome.org/show_bug.cgi?id=135068)
      Adjusted several default constant descriptions to be more 
      understandable.

2004-03-28 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 135065 (http://bugzilla.gnome.org/show_bug.cgi?id=135065)
      Tooltips for OR, AND, NOT, XOR and XNOR have been changed from
      "Logical <whatever>" to "Bitwise <whatever>".

2004-03-28 Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 136872 (http://bugzilla.gnome.org/show_bug.cgi?id=136872)
      gcalctool can now be built with "CFLAGS=-fdata-sections".

2004-03-22 Rich Burridge <rich.burridge@sun.com>

    * Version for GNOME 2.6 (FINAL) call for tarballs.

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

    * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-18  Gareth Owen <gowen72@yahoo.com>

    * configure.in: Added en_GB to ALL_LINGUAS

2004-03-15 Glynn Foster  <glynn.foster@sun.com>
	
   * configure.in, Makefile.am: Add localized online user documentation
     from the Sun translation team.
   * help/*: Online user documentation for de, es, fr, it, ja, ko, sv, zh_CN,
     zh_HK and zh_TW.

2004-03-13 Alexander Shopov <ash@contact.bg>

   * configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS

2004-03-08 Alastair McKinstry <mckinstry at computer dot org>

   * configure.in: Added ga ("Irish") to ALL_LINGUAS.

2004-02-27  Miloslav Trmac <mitr at volny dot cz>

    * One more slight adjustment to the fix for bug 135064 
      (http://bugzilla.gnome.org/show_bug.cgi?id=135064)
      Entering numbers that start with the numeric point character ('.")
      are now visibly displayed.

2004-02-27  Miloslav Trmac <mitr at volny dot cz>

    * Adjustment to the fix for bug 135064 
      (http://bugzilla.gnome.org/show_bug.cgi?id=135064)
      Fix to remove a potential spurious initial thousands separator 
      character after a change sign operation.

2004-02-25  Tomasz KÅoczko <kloczek@pld.org.pl>

    * Makefile.am: in configure.in is used AM_GCONF_SOURCE_2. Part of this
      aclocal macro allow disable/enable install schama files in make
      install target schemas in GConf database. Pass
      --disable-schemas-install in configure parameters disable defines by
      AM_CONDITIONAL() GCONF_SCHEMAS_INSTALL variable for allow in
      Makefile.am files run gconftool-2 for update GConf database
      conditionaly. This fix enables run gconftool-2 in install-data-local
      only if GCONF_SCHEMAS_INSTALL variable is defined .. so now passing in
      configure parameters --disable-schemas-install switch now works perfectly :)

      * Makefile.am, gcalctool/Makefile.am: minor cleanups
      s#@VARIABLE@#$(VARIABLE)#

2004-02-26  Miloslav Trmac <mitr at volny dot cz>

    * Fixed bug 135064 (http://bugzilla.gnome.org/show_bug.cgi?id=135064)
      Changing the sign of a large number (when "Show Thousands Separator"
      is on and this is not the C locale), no longer corrupts the display.
      The fix involved resetting all the internal calculations in gcalctool
      to be done in the C locale, and then localized (radix character and
      thousands separator), just before the number is displayed.

2004-02-24  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 135328 (http://bugzilla.gnome.org/show_bug.cgi?id=135328)
      Added Shift-slash as a recognized alternate for the divide operation
      (needed by the be-latin1 keyboard layout).

2004-02-21  Paisa Seeluangsawat  <paisa@users.sf.net>

    * configure.in: Added Thai (th) to ALL_LINGUAS.

2004-02-21  Christian Rose  <menthos@menthos.com>

    * configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-18  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 134540 (http://bugzilla.gnome.org/show_bug.cgi?id=134540)
      gcalctool now correctly handles the digits 0123456789 which are
      shifted about the accented characters on a French keyboard.

2004-02-17  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 134484 (http://bugzilla.gnome.org/show_bug.cgi?id=134484)
      Doing "3 x! x! x!" no longer causes gcalctool to lock up.

2004-02-11 Breda McColgan <breda.mccolgan@sun.com>

    * Updated the following files due to fix for bug 133764 
      (http://bugzilla.gnome.org/show_bug.cgi?id=133764
           * help/C/gcalctool.xml
           * help/C/gcalctool-C.omf
           * help/C/figures/gcalctool_basic_window.png
           * help/C/figures/gcalctool_scientific_window.png

2004-02-07  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 133764 (http://bugzilla.gnome.org/show_bug.cgi?id=133764)
      - "Gradients" was still appearing when in Scientific mode (instead 
        of "Gradians".
      - In the x^2 button, the 2 should not be italicized.
      - In the x^2 and x^y buttons, the x should be italicized.
      - The View Thousands Separator menu item should not remain active 
        during an error condition.

2004-02-07  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 133590 (http://bugzilla.gnome.org/show_bug.cgi?id=133590)
      The About box now lists the documenters of gcalctool.

2004-02-07 Breda McColgan <breda.mccolgan@sun.com>

    * help/C/gcalctool.xml: Updated for GNOME 2.6, technical review draft
    * help/C/gcalctool-C.omf: Updated for GNOME 2.6
    * help/C/figures/gcalctool_basic_window.png: Updated for GNOME 2.6
    * help/C/figures/gcalctool_financial_window.png: Updated for GNOME 2.6
    * help/C/figures/gcalctool_scientific_window.png: Updated for GNOME 2.6

2004-01-26  Lars Weber <me at lars dot in-berlin dor de>

    * Fixed bug 132582 (http://bugzilla.gnome.org/show_bug.cgi?id=132582)
      Adjusted the gcalctool titlebar to use a hyphen (rather than square
      brackets) to show what mode the user is currently using.

2004-01-26  Lars Weber <me at lars dot in-berlin dor de>

    * Fixed bug 132570 (http://bugzilla.gnome.org/show_bug.cgi?id=132570)
      Adjusted UI to use spacing to delineate groups rather than frames
      (per the HIG).

2004-01-22  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 131571 (http://bugzilla.gnome.org/show_bug.cgi?id=131571)
      User defined constants are now read/written out (as gconf resources)
      with no thousands separator and with a radix of ".".

2004-01-16  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 131594 (http://bugzilla.gnome.org/show_bug.cgi?id=131594)
      The "Insert ASCII View..." menu item and the "Insert" button no
      longer use the GTK_STOCK_CONVERT stock icon (as per the HIG).

2004-01-07  Alexander Nedotsukov <bland at mail dot ru>

    * Fixed bug 131059 (http://bugzilla.gnome.org/show_bug.cgi?id=131059)
      Fix to allow the thousands separator to be used correctly with the
      creation of the initial constant values in the Russian locale.

2004-01-07  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 130078 (http://bugzilla.gnome.org/show_bug.cgi?id=130078)
      Changed the y^x button label to x^y (really x superscript y). Adjusted
      the tooltip message to "Raise displayed value to the power of y".

2004-01-06  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 130282 again (http://bugzilla.gnome.org/show_bug.cgi?id=130282)
      Needed to remove the "|| tsep[0] == '\0'" check from the get_tsep()
      routine in order to get the thousands separator to correctly work in
      all locales. Note that there is no thousands separator now for the C 
      locale.

2004-01-06  Rich Burridge <rich.burridge@sun.com>

    * Fixed part of bug 126125 
      (http://bugzilla.gnome.org/show_bug.cgi?id=126125). If the user
      entered: "1+(2()<backspace>)", this resulted in an answer of 0.
      When the user backspaced over the ")" character, v->noparens should
      have been incremented.

2004-01-05  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 130187 (http://bugzilla.gnome.org/show_bug.cgi?id=130187)
      When gcalctool changes modes now, it's internal state and the display
      are cleared.

2004-01-05  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 130282 (http://bugzilla.gnome.org/show_bug.cgi?id=130282)
      Fixes for more problems with the thousands separator in certain
      locales, plus correct handling of the radix character with the initial
      constant values.

2004-01-05  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 128603 again (http://bugzilla.gnome.org/show_bug.cgi?id=128603)
      The solution this time was to duplicate the initial string constant
      values to be confident that they are not in read-only memory.

2004-01-03  Sanlig Badral  <badral@openmn.org>

    * configure.in: Added "mn" to ALL_LINGUAS.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

    * configure.in: Added "hr" in ALL_LINGUAS.

2003-12-26  Fernando Herrera  <fherrera@onirica.com>

    * gcalctool.desktop.in: added X-GNOME-Bugzilla-OtherBinaries

2003-12-24  à¸¥à¸ygimantas Beruà¸¤Âka  <uid0@tuxfamily.org>

    * lt.po: Added "lt" to ALL_LINGUAS.

2003-12-22  Miloslav Trmac <mitr at volny dot cz>

    * Fixed bug 129539 (http://bugzilla.gnome.org/show_bug.cgi?id=129539)
      The thousands separator is a null terminated string, not a single
      character. Same for the radix. Adjusted various functions to handle
      this. Note that in the C locale, nl_langinfo(THOUSEP) returns an empty
      string, so get_tsep() has been adjusted to return "," for that case.
      If nl_langinfo(RADIXCHAR) returns an empty string (it shouldn't do),
      then get_radix() will return ".".

2003-12-20  Arafat Medini <lumina@silverpen.de>

    * ar.po: Added Arabic Locale "ar" to ALL_LINGUAS

2003-12-05  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 129496 (http://bugzilla.gnome.org/show_bug.cgi?id=129496)
      "Gradients" should be "Gradians".

2003-12-16 Mohammad DAMT  <mdamt@bisnisweb.com>

    * configure.in: Added "id" in ALL_LINGUAS
    * po/id.po: Indonesian translation by Ahmad Riza H Nst <ari@160c.afraid.org>

2003-12-05  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 128603 (http://bugzilla.gnome.org/show_bug.cgi?id=128603)
      The changes for enhancement request #126626 which added thousands 
      separator support caused a crash at startup time on a Debian system. 
      The initial constant strings are being put in read-only memory either 
      by gcc (or because of the way that x86 arch is designed). This was 
      not a problem when tested with the Sun compilers on a Solaris SPARC 
      machine.  The remove_tsep() routine is display.c has been rewritten 
      to correctly handle this.

2003-12-04  Ià¸£à¸aki Larraà¸£à¸aga <dooteo@euskalgnu.org>

    * configure.in: Added Basque (eu) to ALL_LINGUAS.

2003-12-03  Rich Burridge <rich.burridge@sun.com>

    * Further work on enhancement request 125873
      (http://bugzilla.gnome.org/show_bug.cgi?id=126626)
      As the user is typing in input, the display will now show the
      thousands separator (if checked).

2003-12-01  Rich Burridge <rich.burridge@sun.com>

    * On a Solaris keyboard, Shift-"^" is GDK_asciicircum/GDK_SHIFT_MASK.
      This keyval/state pair needed to be added to the Xor recognized mappings.

2003-12-01  Rich Burridge <rich.burridge@sun.com>

    * Re-fixed bug 127672 (http://bugzilla.gnome.org/show_bug.cgi?id=127672)
      The fix for Shift-"=" should have been for GDK_equal not GDK_Return.
      Needed to add in support for Shift-"/" too.

2003-11-26  Rich Burridge <rich.burridge@sun.com>

    * Implemented enhancement request 125873
      (http://bugzilla.gnome.org/show_bug.cgi?id=126626)
      gcalctool can now optionally show the thousands seperator character
      for fixed point numbers displayed in the decimal base. Same for
      numbers stored in the memory registers. There is a new "Show 
      Thousands Separator" menu entry in the View menu to set this.

2003-11-26  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 126626 (http://bugzilla.gnome.org/show_bug.cgi?id=126626)
      gcalctool no longer causes a Gtk-CRITICAL error when the user enters
      "9*(1<Xor>". The problem was caused because a non-UTF character was
      being inserted into the text string to be displayed for the Xor
      function.

2003-11-26  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 125782 (http://bugzilla.gnome.org/show_bug.cgi?id=125782)
      If the user is entering a left parenthesis and it is the first one 
      being displayed and there is no current arithmetic operand, then 
      the current display is initially cleared to avoid the confusion of 
      showing something like "0(".

2003-11-26  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 127862 (http://bugzilla.gnome.org/show_bug.cgi?id=127862)
      The fix for bug #125625 introduced a potential out-of-order case
      for users who are rapid keyboard typers. This bug fix rectifies this
      with the unfortunate side-effect of no longer visual toggling the 
      equivalent button to the keyboard character that the user entered.  
      This fix is still compatible with the way the accessibility 
      infrastructure works though.

2003-11-24  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 65806 (http://bugzilla.gnome.org/show_bug.cgi?id=65806)
      For the "1/x", "x^2", "x!", "e^x", "10^x" and "y^x" labels, all 
      occurances of "x" and "y" are now italicized. The "e" in "e^x" 
      is no longer italicized.

2003-11-24  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 127316 (http://bugzilla.gnome.org/show_bug.cgi?id=127316)
      The "fix" introduced in gcalctool v4.1.18 to fix Sun Bugtraq bug 
      #1258472 against CDE dtcalc (which was also a problem with gcalctool)
      was incorrect.

2003-11-24  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 127672 (http://bugzilla.gnome.org/show_bug.cgi?id=127672)
      The "=" key on a Swedish keyboard is on the upper level of a key 
      (i.e. the Shift key needs to be down). Added another mask/keysym 
      pair to the "=" entry in calctool.c to handle this.

2003-11-07  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 125625 (http://bugzilla.gnome.org/show_bug.cgi?id=125625)
      gcalctool now handles "clicked" events rather than "pressed" ones.

2003-10-20  Kjartan Maraas <kmaraas@gnome.org>

    * Fixed bug 124928 (http://bugzilla.gnome.org/show_bug.cgi?id=124928)
      Plugged several memory leaks.

2003-10-13  Breda McColgan  <breda.mccolgan@sun.com>

    * Updated the following files:
        * help/C/gcalctool.xml: updated based on bug 123132
        * help/C/gcalctool-C.omf: updated manual date and version number
        * help/C/l10n.txt: updated manual version number and changes summary

2003-10-13  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 124377 (http://bugzilla.gnome.org/show_bug.cgi?id=124377)
      Fixed rounding errors when the radix character for a locale isn't ".".
      The problem was in the first parameter passed to the MPstr_to_num() 
      routine. "0.5" should have been a string consisting of 
      SPRINTF(half, "0%c5", v->radix_char);

2003-10-10  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 124172 (http://bugzilla.gnome.org/show_bug.cgi?id=124172)
      The "+" character on a German keyboard is on the lower level of a
      key (i.e. the Shift key doesn't need to be down). Added another
      mask/keysym pair to the "+" entry in calctool.c to handle this.

2003-10-06  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 120737 (http://bugzilla.gnome.org/show_bug.cgi?id=120737)
      Changed the accessible text for the OR button from "Logical OR" to
      "logical OR" so that it's not changed by FreeTTS's token to words
      module to "logical Oregon".

2003-10-06  Kaushal Kumar <kaushal.kumar@wipro.com>

    * gcalctool/Makefile.am: GtkItemFactory has been depricated.
      Remove the GTK_DISABLE_DEPRECATED flag. Fixes #123948.

2003-10-03  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 123724 (http://bugzilla.gnome.org/show_bug.cgi?id=123724)
      Hitting Esc now does the same as hitting Control-Backspace; i.e. the
      CE (clear entry) functionality.

    * Updated the gcalctool man pages to reflect this change, and the changes
      for bug #118826.

2003-10-02  Rich Burridge <rich.burridge@sun.com>

    * Refixed bug 122373 (http://bugzilla.gnome.org/show_bug.cgi?id=122373)
      gcalctool now uses nl_langinfo() to get the numeric point for the
      users locale, rather than via a localised string.

2003-10-02  Rich Burridge <rich.burridge@sun.com>

    * Fixed enhancement 65806 (http://bugzilla.gnome.org/show_bug.cgi?id=65806)
      Changed that label for e^x (e superscript x) to use an italised "e".

2003-09-24  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 118826 (http://bugzilla.gnome.org/show_bug.cgi?id=118826)
      The keyboard shortcuts for the six hex. digits are now "A" to "F".
      The functions that previously used those letters have been reassigned
      to their lowercase equivalents. These were:

        Accuracy                      (now "a")
        Change Sign                   (now "c")
        Double-declining depreciation (now "d")
        Exponential                   (now "e")
        User-defined functions        (now "f")

      Note that left or right shifting 10-15 places now uses the 'A' to
      'F' keyboard accelerators (rather than 'a' to 'f').

2003-09-17  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 122408 (http://bugzilla.gnome.org/show_bug.cgi?id=122408)
      The tooltips for the numeric buttons (0-9) have been removed as they
      are redundant.

2003-09-17  Fatih Demir <kabalak@gtranslator.org>

    * configure.in: Added "ta" (Tamil) to the languages' list.

2003-09-16  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 120749 (http://bugzilla.gnome.org/show_bug.cgi?id=120749)
      When gcalctool is displaying a menu, typing Alt+Tab can no longer
      switch windows. The menu_button_key_press_cb() routine in gtk.c
      needed to return TRUE if the event->keyval was a Space.

2003-09-16  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 120745 (http://bugzilla.gnome.org/show_bug.cgi?id=120745)
      Accessible names have now been added to each of the widgets in the 
      mode panel when in Scientific mode.

2003-09-16  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 122373 (http://bugzilla.gnome.org/show_bug.cgi?id=122373)
      The decimal separator is now a translatable string so that other
      locales that don't use a period (Italian uses a comma for example),
      can adjust accordingly.

2003-09-16  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 120605 (http://bugzilla.gnome.org/show_bug.cgi?id=120605)
      Gcalctool contains lots of messages that are (potentially) only 
      displayed if the user starts the application with either the -D or 
      the -E command line options. As these are debugging messages, they 
      need not be translated, so the _(...) macros around them have been 
      removed.

2003-09-09  Andras Timar  <timar@gnome.hu>

    * configure.in: Added Hungarian (hu) to ALL_LINGUAS.

2003-09-08  Pablo Saratxaga  <pablo@mandrakesoft.com>

    * configure.in: Added Farsi (fa), Macedonian (mk) and Vietnamese (vi)
      to ALL_LINGUAS

2003-09-08  Glynn Foster  <glynn.foster@sun.com>

    * configure.in: Version 4.3.3

2003-09-08  Mugurel Tudor  <mugurelu@go.ro>

    * configure.in: Added "ro" to ALL_LINGUAS.

2003-09-07  Sami Pesonen  <sampeson@iki.fi>

    * configure.in: Added "fi" to ALL_LINGUAS.

2003-09-05  Laurent Dhima  <laurenti@alblinux.net>

    * configure.in: Added "sq" to ALL_LINGUAS.

2003-08-27  Marcel Telka  <marcel@telka.sk>

    * configure.in (ALL_LINGUAS): Added sk.

2003-08-23  Ole Laursen  <olau@hardworking.dk>

    * configure.in: Added "da" (Danish) to ALL_LINGUAS.

2003-08-18  Rich Burridge <rich.burridge@sun.com>

    * Fixed bug 119888 (http://bugzilla.gnome.org/show_bug.cgi?id=119888)
      gcalctool keyboard handling has been improved.

2003-08-16  Guntupalli Karunakar  <karunakar@freedomink.org>

    * configure.in: Added "hi" in ALL_LINGUAS.

2003-08-14  Rich Burridge <rich.burridge@sun.com>

    * From Dennis Cranston  <dennis_cranston at yahoo com>
      Fixed bug 119832 (http://bugzilla.gnome.org/show_bug.cgi?id=119832)
      The space bar can now correctly activate the button that has focus.

2003-08-08  Rich Burridge  <rich.burridge@sun.com>

    * Build for GNOME 2.4 (Beta1). Tag in CVS is GCALCTOOL_4_3_0

2003-08-06  Metin Amiroff  <metin@karegen.com>

    * configure.in: Added "az" to ALL_LINGUAS.

2003-08-06  Wang Jian  <lark@linux.net.cn>

    * configure.in: Added "zh_CN" to ALL_LINGUAS.

2003-08-04  Rich Burridge  <rich.burridge@sun.com>

    * From Dennis Cranston  <dennis_cranston at yahoo com>
      Fixed bug 118246 (http://bugzilla.gnome.org/show_bug.cgi?id=118246)
      The display field can now take focus. The initial widget with
      focus is the Clr button (also discussed this with Nils who agrees).

2003-07-30  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

    * configure.in: Added Belarusian to ALL_LINGUAS.

2003-07-29  Rich Burridge  <rich.burridge@sun.com>

    * (Bug #118247) Three more small adjustments to AccessibleName text:
      "E to the power of x" goes back to "E to the x"
      "Ten to the power of x" goes back to "Ten to the x"
      "Y to the power of x" goes back to "Y to the x"

      (Sorry translators).

2003-07-28  Rich Burridge  <rich.burridge@sun.com>

    * (Bug #118247) Four small adjustments to AccessibleName text:
      "Random" becomes "Random number".
      "E to the x" becomes "E to the power of x"
      "Ten to the x" becomes "Ten to the power of x"
      "Y to the x" becomes "Y to the power of x"

2003-07-25  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 118247 (http://bugzilla.gnome.org/show_bug.cgi?id=118247)
      Each gcalctool button now has an AccessibleName. By default these
      are taken from the buttons tooltip string. This is to:
      - reduce the amount of extra memory that would be taken up otherwise.
      - reduce the pain that all the translators would have to go through
      - reduce the repetition because a lot of the actual tooltip strings 
        are just fine.

      The exceptions to this are for the following buttons, where the
      tooltip string is too long:

        Button |   
        Label  |           		AccessibleName
      ---------+----------------------------------------------
        Bsp       "Backspace" 
        CE        "Clear Entry"
        Clr       "Clear"
        Int       "Integer portion"
        Sto       "Store to register"
        Frac      "Fractional portion"
        Rcl       "Retrieve from register"
        Exch      "Exchange with register"
        <         "Shift left"
        >         "Shift right"
        &16       "16 bit unsigned integer"
        &32       "32 bit unsigned integer"
        (         "Left bracket"
        )         "Right bracket"
        Acc       "Accuracy"
        Exp       "Exponential"
        e^x       "E to the x"
        10^x      "Ten to the x"
        y^x       "Y to the x"
        x!        "Factorial"
        Rand      "Random"

2003-07-25  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

    * configure.in: Added "cy" (Welsh) to ALL_LINGUAS

2003-07-25  Kang Jeong-Hee  <Keizi@mail.co.kr>

    * configure.in: Added 'ko' (Korean) to ALL_LINGUAS.

2003-07-22  Breda McColgan  <breda.mccolgan@sun.com>

    * Updated the following files:
        * help/C/gcalctool.xml: updated based on bug 116944
        * help/C/gcalctool-C.omf: updated manual date and version number

2003-07-21  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 117691 (http://bugzilla.gnome.org/show_bug.cgi?id=117691)
      The GDK_Up, GDK_Down, GDK_Left and GDK_Right keysyms are not valid 
      equivalents for the 8, 2, 4 and 6 keys. They are needed for keyboard 
      navigation.

2003-07-13 John Fleck <jfleck@inkstain.net>

    Remove:
	* xmldocs.make
	* omf.make
    Edit:
	* autogen.sh
	use new docs build system. Latest gnome-common
	now required to build from cvs

2003-07-09  Rich Burridge  <rich.burridge@sun.com>

    * From Steve Chaplin <stevech1097 at yahoo com au>
      Added the -DGNOME_DISABLE_DEPRECATE in .../gcalctool/Makefile.am
      to catch any potential GNOME depreciated methods.

2003-07-09  Hasbullah Bin Pit  <sebol@ikhlas.com>

    * configure.in: Added 'ms' (Malay) to ALL_LINGUAS.
    * po/ms.po: Added Malay translation.

2003-07-09  Alessio Frusciante <algol@firenze.linux.it>

    * configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-07-07  Dennis Cranston <dennis_cranston at yahoo com>

    * Fixed bug 116944 (http://bugzilla.gnome.org/show_bug.cgi?id=116944)
      Various HIG improvements to the edit constants, edit functions,
      and insert ASCII value dialogs. (i.e. adjusted widget padding
      according to HIG; added a mnemonic for the constant and function
      treeviews; etc.)

2003-07-08  Rich Burridge  <rich.burridge@sun.com>

    * Refixed bug 116727 (http://bugzilla.gnome.org/show_bug.cgi?id=116727)
      After further discussion with Toshi, it was understood that I didn't
      need to call g_locale_to_utf8() for the numeric strings (which just
      consist of '0'-'9', 'e', 'A'-'F', '+', '-' and '.'). set_display() in
      gtk.c was simplified back to using just one parameter.

2003-07-07  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 116727 (http://bugzilla.gnome.org/show_bug.cgi?id=116727)
      When the calculator display is showing an error message, it is now
      correctly localized. Fix was to add in a second parameter to each 
      call of set_display, that indicated whether this was an error 
      condition or not. If it was, then the first parameter being passed 
      in was already localized (had to do it this was so that the strings 
      turned up in the message files), and wouldn't be run through 
      g_locale_to_utf8(). Thanks to Toshi for pointing me in the right 
      direction.

2003-07-06  Gil "Dolfin" Osher <dolfin@rpg.org.il>

    * configure.in: Added "he" (Hebrew) to ALL_LINGUAS.

2003-07-04  Artur Flinta  <aflinta@cvs.gnome.org>

    * configure.in: Added "pl" to ALL_LINGUAS.

2003-06-25  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 115950 (http://bugzilla.gnome.org/show_bug.cgi?id=115950)
      The "*" key wasn't being recognized as a keyboard shortcut for
      multiplication. The problem was that GDK_SHIFT_MASK needed to be
      given in the equivalent entry for the mods array for this button
      struct.

2003-06-25  Breda McColgan  <breda.mccolgan@sun.com>

    * Updated the following files:
        * help/C/gcalctool.xml: updated based on bug 114363 and bug 114364
        * help/C/gcalctool-C.omf: updated manual date and version number

2003-06-24  Rich Burridge  <rich.burridge@sun.com>

    * Further work on bug 114364. The items in the constants menu are now 
      always displayed in the decimal numeric base. This is consistent with 
      the way that calctool in the OpenWindows DeskSet worked.

2003-06-24  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 114364 (http://bugzilla.gnome.org/show_bug.cgi?id=114364)
      When you change numeric base and then display the constant values in 
      the Con menu, the values are shown in the current base.

      When you select "Edit Constants" from the Con menu, the values of each 
      constant are shown in Decimal. The label:
      "All constant values are specified in the decimal numeric base"
      has also been added to the "Edit Constant" popup to clarify this.

2003-06-23  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 115653 (http://bugzilla.gnome.org/show_bug.cgi?id=115653)
      Adjusted the keyboard mnemonic checking code to now check to make
      sure that neither of the Alt keys is pressed when comparing against
      button equivalents.

2003-06-18  Rich Burridge  <rich.burridge@sun.com>

    * Similar problem to bug #115212 but for the "Edit Constants" and
      "Edit Functions" dialog boxes. gcalctool no longer can display
      multiple versions of them. Also removed the X->CFtype and 
      X->cf_entries variables.

2003-06-18  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 114363 (http://bugzilla.gnome.org/show_bug.cgi?id=114363)
      When an error condition occurs:
  
      - make insensitive all buttons except Clr.
      - make all Scientific mode toggles and checkboxes insensitive.
      - make all menubar items insensitive except:
  	   Calculator->Quit
  	   Help->Contents
  
      When the error condition is cleared, resensitise everything, setting
      the numeric base buttons correctly.

2003-06-18  Guntupalli Karunakar  <karunakar@freedomink.org>

    * configure.in: Added "ml" in ALL_LINGUAS.

2003-06-16  Rich Burridge  <rich.burridge@sun.com>

   * From Steve Chaplin <stevech1097@yahoo.com.au>
     Fix for bug #115212 (http://bugzilla.gnome.org/show_bug.cgi?id=115212)
     gcalctool no longer can display multiple About boxes.

2003-06-13  Rich Burridge  <rich.burridge@sun.com>

    * From Dennis Cranston  <dennis_cranston@yahoo.com>
      Fix for bug #108209 (http://bugzilla.gnome.org/show_bug.cgi?id=108209)
      The appropriate gcalctool button is now animated when the user enters 
      that value via the keyboard.

2003-06-10  Rich Burridge  <rich.burridge@sun.com>

    * Partial fix for bug 114363:
      (http://bugzilla.gnome.org/show_bug.cgi?id=114363)
      When the calculator display is showing "Error", the Constant values and
      the Memory Register values no longer incorrectly show "Error" as well.

2003-06-10  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

    * configure.in: Added Russian to ALL_LINGUAS.

2003-05-28  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 113703 (http://bugzilla.gnome.org/show_bug.cgi?id=113703)
      Fix from Havoc: "If you use AM_GCONF_SOURCE_2 in configure.in, 
      then do a makefile snippet as in gnome-terminal/src/Makefile.am,
      you should be able to specify --with-gconf-source=whatever"

2003-05-28  Danilo ? egan  <dsegan@gmx.net>

    * configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-26  Rich Burridge  <rich.burridge@sun.com>

    * From Franz Klammer <klammer@webonaut.com>
      Fixed bug 113754 (http://bugzilla.gnome.org/show_bug.cgi?id=113754)
      Decimal point didn't work with a German keyboard if Numlock was 
      turned on.

2003-05-19  Rich Burridge  <rich.burridge@sun.com>

    * .../gcalctool/Makefile.am: Install "gnome-calculator" symlink
      as reqested by Glynn Foster.

2003-04-24  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 111269 (http://bugzilla.gnome.org/show_bug.cgi?id=111269)
      It was possible to type fast into gcalctool and digits would be
      transposed. gcalctool now looks for key_press_event and 
      key_release_event events on the main window rather than set keyboard 
      accelerators to the "clicked" action of the various buttons.

2003-04-15  Rich Burridge  <rich.burridge@sun.com>

    * Refixed bug 110416 (http://bugzilla.gnome.org/show_bug.cgi?id=110416)
      Concatenated more error messages in mp.c.

    * Adjusted the Acc menu entries to be "<n> significant places" rather
      than "<n> radix places" in gtk.c.

    * Replaced "kilometers per hour / miles per hour" with 
      "kilometers per hour or miles per hour" in the first constant
      description in calctool.c and gcalctool.1.

    * Replaced occurances of "/" in the other constant descriptions with "or".

2003-04-15  Breda McColgan  <breda.mccolgan@sun.com>

    * Translators: The documentation is now ready for translation!

    * Updated the following files:
        * configure.in: updated version number to 4.2.81
        * help/C/gcalctool.xml: first approved draft, ready for translation
        * help/C/gcalctool-C.omf: updated manual date and version number
        * help/C/l10n.txt: new file added 
        * help/C/figures/gcalctool_edit_const_window.png: deleted
        * help/C/figures/gcalctool_edit_func_window.png: deleted
        * help/C/figures/gcalctool_ins_ascii_window.png: deleted
        * help/C/figures/gcalctool_mem_reg_window.png: deleted
    	

2003-04-13  Christian Neumair  <chris@gnome-de.org>

    * Reflect translated mode information in window title (functions.c).

2003-04-10  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 110416 (http://bugzilla.gnome.org/show_bug.cgi?id=110416)
      Various fprintf statements in mp.c have been concatenated to help
      translators.

2003-04-02  Rich Burridge  <rich.burridge@sun.com>

    * Added in latest online help changes from Breda McColgan. This should
      now put the online help in sync with the actual functionality of
      gcalctool.

      **IMPORTANT NOTE FOR TRANSLATORS**

      Please still hold off translating these files for a while. This is still
      a draft. The documentation needs to be reviewed by an editor, and
      editorial feedback incorporated. Look for a followup entry here in the
      Changelog, with an indication that they are ready for translation.

2003-03-28  Christian Neumair  <chris@gnome-de.org>

    * Added AC_PREREQ macro to configure.in to satisfy some ac wrapper scripts
      and added German (de) to ALL_LINGUAS; bumped version to 2.4.78;
      Added missing gettext call. This makes the i18ized menu entries actually
      visible. Fixed some tooltip strings. Updated some .cvsignore files.

2003-03-25  Rich Burridge  <rich.burridge@sun.com>

    * Added in various .cvsignore files to make checkins and updates cleaner.

2003-03-25  Rich Burridge  <rich.burridge@sun.com>

    * Adjusted ChangeLog format to the Gnu style. Moved older ChangeLog entries
      off into ChangeLog-YYYY files (years 1990, 1991, 1992, 1993 and 2002).

2003-03-25  Rich Burridge  <rich.burridge@sun.com>

    * Fixed up a compiler warning for set_show_zeroes_toggle() usage in gtk.c
      Fixed up distcheck, adding intltool to EXTRA_DIST

      This version to be announced in gnome-announce.

2003-03-24  Rich Burridge  <rich.burridge@sun.com>

    * Slight adjustments to bug 108226
      (http://bugzilla.gnome.org/show_bug.cgi?id=108226)

      Menu item is now "Show Trailing Zeroes", with a Control-T accelerator.
      Added a similar menu item to the View menu on the menu bar (only active
      in Scientific mode). Adjusted program logic. Cases of "rm_zeroes" now
      become "show_zeroes". Updated the manual pages and the gcalctool
      schemas file.

2003-03-19  Dennis Cranston <dennis_cranston@yahoo.com>

    * Fixed bug 108729 (http://bugzilla.gnome.org/show_bug.cgi?id=108729)
      Added tooltips to the radio and check buttons in scientific mode.

2003-03-18  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 108226 (http://bugzilla.gnome.org/show_bug.cgi?id=108226)

      The menu items in the Acc menu are now "tickable", so you know what the 
      current accuracy selection is. Setting one of these clears the previous 
      one.

      A new "remove trailing zeroes" menu item is added to the Acc menu (last
      item, with a separator just above), that is "tickable". This tick doesn't
      affect the accuracy ticks. It's either on or off.

      The default setting for accuracy now becomes 9 numeric places and "remove 
      trailing zeroes".

      The Acc button is moved to the Scientific mode (clear slot in the top 
      right corner, above the Rand.

      The Base radio button group and the display type radio button group in
      the mode panel in Scientific mode are now moved to the right side to be
      close in proximity to the Acc button. The other mode items move to the
      left side.

2003-03-18  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 108208 (http://bugzilla.gnome.org/show_bug.cgi?id=108208)
      The default value for the "showregisters" resource in gcalctool.schemas
      was incorrectly set.

    * There should be no "default:" action in the command line parsing in 
      get_options().

2003-03-14  Rich Burridge  <rich.burridge@sun.com>

    * Correctly fixed bug 108219 
      (http://bugzilla.gnome.org/show_bug.cgi?id=108219)
      The previous fix didn't correct set the radio buttons when changing 
      mode from Scientific to Basic or Financial. Only the internal state.

2003-03-14  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 108209 (http://bugzilla.gnome.org/show_bug.cgi?id=108209)
      Followup changes to make the numeric keypad animate the buttons on 
      Linux machines.

2003-03-14  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 108219 (http://bugzilla.gnome.org/show_bug.cgi?id=108219)
      When you go from Scientific mode to either Basic or Financial mode, 
      the calculator will revert to "Dec" base in "Fix" notation.

      Any number in the display (and the memory registers if shown) will be 
      converted accordingly.

      When you are in a mode (Basic, Financial, or Scientific) you will only 
      be able to do the functionality that that mode shows. For example, you 
      will not be able to do base changes if you are in Basic or Financial mode.

2003-03-14  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 108333 (http://bugzilla.gnome.org/show_bug.cgi?id=108333)
      The gcalctool buttons with menus associated with them are now keyboard
      navigable.

2003-03-14  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 108209 (http://bugzilla.gnome.org/show_bug.cgi?id=108209)
      When the user uses the keyboard to enter data, the associated gcalctool
      button will be animated.

2003-03-13  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 108210 (http://bugzilla.gnome.org/show_bug.cgi?id=108210)
      Main gcalctool window is no longer resizable.

2003-03-13  Rich Burridge  <rich.burridge@sun.com>

    * Incorporated several online help changes from Breda McColgan.

      **IMPORTANT NOTE FOR TRANSLATORS**

      Please still hold off translating these files for a while. This is still
      a draft. The documentation needs to be reviewed by an editor, and 
      editorial feedback incorporated. Look for a followup entry here in the 
      Changelog, with an indication that they are ready for translation.

2003-03-05  Rich Burridge  <rich.burridge@sun.com>

    * Added scrollkeeper checks into configure.in.

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed warning message:

      ** (gcalctool:27091): WARNING **: Help error: Unable to find the 
      GNOME_FILE_DOMAIN_APP_HELP domain

      Adjustment to the gnome_help_display() call in gtk.c to use the right 
      parameters.

2003-03-05  Rich Burridge  <rich.burridge@sun.com>

    * Added in a first (draft) version of online help from Breda McColgan in
      the Sun GNOME doc. team.

      **IMPORTANT NOTE FOR TRANSLATORS**

      Please hold off translating these files for a while. Slight revisions
      are planned for sometime in the next week or two. Look for a followup 
      entry here in the Changelog, with an indication that they are ready for 
      translation.

2003-03-05  Rich Burridge  <rich.burridge@sun.com>

    * Abstracted the key values and modifiers. This will make it easier to
      create versions of this calculator for other graphical toolkits, or
      a version with no graphics at all (prompt style).

2003-03-04  Rich Burridge  <rich.burridge@sun.com>

    * Adjusted the tooltip help to be minimalist messages. Online help for
      gcalctool will be coming soon, and this will contain the detailed help
      information (plus examples).

2003-02-28  Rich Burridge  <rich.burridge@sun.com>

    * Small adjustment to allow gcalctool to compile using the Solaris Forte
      compilers.

2003-02-26  Rich Burridge  <rich.burridge@sun.com>

    * Gcalctool wasn't saving the trigonometric type when it was changed. The
      trig_cb() function was calling do_trig() incorrectly instead of 
      do_trigtype().

    * Removed the trailing period from the ten constant definitions in the man 
      pages.

2003-02-26  evandrofg <someone@somewhere.org>

    * configure.in: Added Brazilian Portuguese (pt_BR) to ALL_LINGUAS.

2003-02-21  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Allows Backspace to correctly work inside parentheses. Similar fix to
      the one for Delete in v4.2.55 (bug #106583).

2003-02-21  Rich Burridge  <rich.burridge@sun.com>

    * The Xor logical operation wasn't being performed correctly. Gdk uses
      keysym values that are greater than what can be fitted into a char.
      Adjusted v->cur_op and v->old_cal_value to now be ints.

    * Hitting Clr was not correctly clearing the Hyp and Inv trigonometric
      checkboxes. In fact, it was toggling them twice, thereby returning them
      to whatever state they were in when the user hit Clr.

2003-02-20  Rich Burridge  <rich.burridge@sun.com>

    * Removed the final period from the ten default constant descriptions.

    * Changed occurances of "kilometre" to "kilometer" and "centimetre" to
      "centimeter".

    * Fixed up the values of the ten default constant definitions in the
      manual pages.

    * The "centimeters <=> inches" default constant should be 0.3937007
      rather than 2.54 to be consistent with the other constants.

2003-02-20  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 106583 (http://bugzilla.gnome.org/show_bug.cgi?id=106583)
      There were two parts to this. Dennis Cranston fixed the:

      (gcalctool:10872): Gtk-CRITICAL **: file gtktextbuffer.c: line 548:
      assertion `g_utf8_validate (text, len, NULL)' failed

      messages. 

      The crash was caused by the paren_disp() function in display.c not
      correctly checking for when a Delete character was entered.

2003-02-20  Rich Burridge  <rich.burridge@sun.com>

    * The financial Term tooltip example didn't work. The problem was that
      the Rate function had a keyboard shortcut of "T" and Term had "t". The
      check for which financial function was being processed in do_business()
      in functions.c didn't take into consideration any key mods (such as
      GDK_SHIFT_MASK). Add a key_equal function that now compares both the
      mods and the value of keys.

    * Moved the Exp button to the right of the Con and Fun buttons for better
      grouping.

2003-02-19  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 106501 (http://bugzilla.gnome.org/show_bug.cgi?id=106501)
      A check has been added to the do_delete() function in functions.c to
      make sure that the length is greater than zero, before setting the
      len-1 character to '\0'.
 
2003-02-19  Rich Burridge  <rich.burridge@sun.com>

    * From Breda McColgan <breda.mccolgan@sun.com>
      Toggled the positions of the Sto and Rcl buttons. This is primarily to
      help with the online documentation, which consists of listing the 
      gcalctool buttons in several tables, grouping "like" buttons together 
      (for example: Bsp, CE, and Clr in one table; Sto, Rcl, and Exch in 
      another table). Within a table, the buttons are listed in the sequence 
      in which they appear in gcalctool. For the most part, the sequence 
      isn't significant. However, it doesn't really make sense to talk about 
      either Rcl or Exch until you've described Sto.

2003-02-19  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      - The process_str() function will cause a crash if the input string is 
        null. For example, if the clipboard is empty and the user presses 
        CTRL-V then gcalctool will core dump. Fixed by adding a null check to 
        the function. 

      - gcalctool now uses a text view for its display widget.

2003-02-18  Rich Burridge  <rich.burridge@sun.com>

    * Fixes to the manual page:
      - the keyboard shortcut for the "Term" function is "t" not "T".
      - removed the LOGICAL mode section.

2003-02-18  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Changes the EXPAND flag to FALSE when packing the display label and mode
      frame. These widgets shouldn't expand when the calculator is resized. 

      Replace the three characters of white space in the title bar text with one
      space character, so more of the title fits into the task window list 
      applet.

2003-02-12  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Added a launcher to the GNOME's Accessories menu. The launcher uses 
      gcalctool.png for its icon which required moving the icon to the pixmaps 
      installation directory.  

      This means that the find_file() function is no longer necessary, and has
      been removed. It was used only in set_gcalctool_icon(). The path of 
      gcalctool.png is now always PACKAGE_PIXMAP_DIR. 

2003-02-12  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Mark the menu labels for translation and converts the
      gtk_item_factory_get_widget() calls to 
      gtk_item_factory_get_widget_by_action() calls. 

2003-02-11  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      - Cleans up the Help menu's layout so it looks like other GNOME 
        applications.
      - Converts gtk_init() to gnome_program_init() to allow access to things 
        like GNOME_STOCK_ABOUT.
      - Add an icon field to the Xobject structure.
      - Change setup_default_icon() to set_gcalctool_icon() and set X->icon in 
        the function.
      - Sets the window icon for the memory register and about windows.
      - Cleans up about_cb() and call it directly in menu callbacks -- like in 
        other gtk+ applications.
      - Remove the unneccessary X->about structure field.

2003-02-06  Daniel Yacob  <locales@geez.org>

    * Added Amharic (am) to ALL_LINGUAS ata configure.in.

2003-02-07  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 104249 (http://bugzilla.gnome.org/show_bug.cgi?id=104249)
      The UI for adding new or editing existing constants and/or functions
      has been improved. It now uses a treeview editable list. A help button
      is provided, but that currently isn't hooked up. I've added a note to
      bug #104821 for this problem.

2003-02-04  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 104830 (http://bugzilla.gnome.org/show_bug.cgi?id=104830)
      gcalctool now uses gnome-calc3.png as its icon (same as the current
      gnome-calculator). For now, I've copied that to a file, gcalctool.png
      within the gcalctool distribution. Also removed calctool.gif.

2003-01-28  Rich Burridge  <rich.burridge@sun.com>

    * Further slight adjustments needed to fix Bugzilla bug 104248. The 
      callback handler for the menu items (mb_proc in gtk.c) needed to 
      have a check at the top to see if we'd started the application yet, 
      and if it hadn't, then to just return. Seemed it was getting called 
      as gcalctool was initially coming up, which was toggling the state 
      of the v->rstate variable incorrectly.

    * Fixed bug 104240 (http://bugzilla.gnome.org/show_bug.cgi?id=104240)
      The "File" menubar item is now called "Calculator", and there is a set of
      unique mnemonics for the various items in the Scientific mode panel.
      The gcalctool manual pages have been updated to reflect these changes.

    * Added in a Control-I mnemonic for Edit->Insert ASCII Value.
      Added in a Control-A mnemonic for Help->About.

2003-01-28  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 104248 (http://bugzilla.gnome.org/show_bug.cgi?id=104248)
      The View->Memory Registers menu item's toggle is now set correctly
      depending upon whether the memory register windows is visible or hidden.

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      The correct radio item is now set in the View menu mode menu item entries
      if gcalctool is initially started in Financial or Scientific mode.

2003-01-27  Rich Burridge  <rich.burridge@sun.com>

    * The constant and function definitions are now read and written as Gconf
      resources, rather than to a ~/.gcalctoolcf file in the user's home 
      directory. The manual pages have been updated to reflect this change.

      An entry has been added to the TODO file to reflect functionality that
      is no longer present because of this change.

    * Fixed bug 104250 (http://bugzilla.gnome.org/show_bug.cgi?id=104250)
      The constant and the function menu items now have "C<n>:" and "F<n>:" 
      prefixes respectively, where <n> is the constant/function number.

      This also involved removing the "<=>" from four of the descriptions for
      the predefined constant values.

2003-01-25  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 104245 (http://bugzilla.gnome.org/show_bug.cgi?id=104245)
      The View->Basic Mode, Financial Mode, Scientific Mode and Memory
      Registers now have keyboard accelerators (Control-B, Control-F, Control-S
      and Control-M respectively).

2003-01-25  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Further slight adjustments for bug 104287
      (http://bugzilla.gnome.org/show_bug.cgi?id=104287)
      The insert button isthe default button.
      The dialog is no longer resizable.
      The ESC key can now be used to cancel the dialog.

2003-01-24  Rich Burridge  <rich.burridge@sun.com>

    * From: Dennis Cranston <dennis_cranston@yahoo.com>
      Fixed bug 104287 (http://bugzilla.gnome.org/show_bug.cgi?id=104287)
      HIG improvements for the "Insert ASCII Value" dialog.

2003-01-23  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 104241 (http://bugzilla.gnome.org/show_bug.cgi?id=104241)
      The Insert ASCII Value" menu item is now "Insert ASCII Value..."

    * From: Hidetoshi Tajima <hidetoshi.tajima@sun.com>
      Tidied up the I18N code as gcalctool now includes <gnome.h> which includes
      <bonobo-i18n.h,> where all this stuff is already defined.

2003-01-23  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug 102928 (http://bugzilla.gnome.org/show_bug.cgi?id=102928)
      The x^2, e^x, 10^x and y^x keys now use Pango markup to display the
      label using superscripts.

2003-01-23  Rich Burridge  <rich.burridge@sun.com>

    * Added in handling of the numeric keypad for Linux systems. This required
      an "event" signal handler on the main gcalctool window, and then checking
      for a set of keyvals that could be generated by the numeric keypad keys
      (with and without the NumLock key on).

2003-01-22  Rich Burridge  <rich.burridge@sun.com>

    * Handling the function "(3+3)" now works.
      The button struct now contains a new item (char func_char) which 
      is the character equivalent to the button when you user enteres 
      it into a function definition. The process_str() routine in 
      graphics.c has been adjusted to call button_for_fc() (a new 
      routine in functions.c) to compare each character in the function 
      string against this item in each button struct to find the 
      appropriate operation.

      Also needed changes to do_paren() to call button_for_fc() instead of 
      button_for_value().

      These changes also fix bugtraq bug #4065378.
      Certain functions entered into gcalctool produce incorrect results.

    * Changed the keyboard accelerators for the following to use non Alt-<?>
      values:

      Cos  (old value: Alt-c) becomes 'J'.
      Sin  (old value: Alt-s) becomes 'K'.
      Tan  (old value: Alt-t) becomes 'L'.
      Frac (old value: Alt-f) becomes ':'.
      Int  (old value: Alt-i) becomes 'i'.
      Abs  (old value: Alt-u) becomes 'u'.
      Rate (old value: Alt-r) becomes 'T'.

      Updated the manual pages and the tooltip help to reflect these changes.

    * Removed the need to configure with "--enable-build-broken".

2003-01-22  Rich Burridge  <rich.burridge@sun.com>

    * Adjusted the memory registers windows to use the same "R0:  0.00" format 
      (bold for first part), as the Rcl, Sto and Exch menus. 

2003-01-22  Rich Burridge  <rich.burridge@sun.com>

    * The menu items for the Rcl, Sto and Exch menus now have the format
      "R0:     0.00", where the "R0:" part is in bold.

    * From Padraig O'Briain <Padraig.Obriain@Sun.COM>
      Fix to get the keyboard accelerators for the menubar menu items working.
      The problem was due to the creation of two accelerator groups in main()
      in gtk.c.

2003-01-21  Rich Burridge  <rich.burridge@sun.com>

    * Updated the NEWS file with an overview of all the changes since v4.1.13.

2003-01-21  Rich Burridge  <rich.burridge@sun.com>

    * Removed the gconf resource for getting/setting whether a beep is sounded
      on error. A beep will now always be sounded in such a case.

    * Removed the write_resources() routine. The writing out of the resources
      will now be immediately done when each of those functions changes.

2003-01-25  Rich Burridge  <rich.burridge@sun.com>

    * Updated the manual pages to reflect the recent v4.2.xx changes.

    * Replaced the occurance of mktemp with mkstemp to placate the Gnu compiler
      on Linux.

2003-01-21  Rich Burridge  <rich.burridge@sun.com>

    * The real fix for displaying the icon. The problem was that the icon was
      being installed in the pkgdata_DATA directory, but gcalctool was looking
      for it in the CALCTOOL_DATA_DIR directory, which was incorrectly set to
      $(datadir)/calctool" rather than $(datadir)/gcalctool".

2003-01-20  Rich Burridge  <rich.burridge@sun.com>

    * Removed the setting of an event mask and a global event handler in 
      create_kframe() in gtk.c. This seems to have fixed up the keyboard 
      navigation problems.

      Control-F1 now toggles the displaying of tooltip help, so the "-h"
      command line option has been removed and the old-style event handling
      code has also been removed.

    * Added in a signal handler for the "delete" event for the main gcalctool
      window. The callback calls gtk_main_quit() to terminate the application.

2003-01-17  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Calum Benson <Calum.Benson@Sun.COM>

      The gcalctool icon is now correctly displayed for me running Sun's
      fcs-10 build on Solaris. It's still a problem for Calum running
      GNOME HEAD on RH7.2.

2003-01-16  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Glynn Foster <Glynn.Foster@Sun.COM>

      The Sto/Rcl/Exch menu items should show the current register values 
      as well.

      The Exch/Rcl/Sto menus are recreated each time that menu is needed. The
      menu item callbacks for these menus and the Constant and Function menus
      have been consolidated into a single menu_proc_cb() routine.

2003-01-16  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Calum Benson <Calum.Benson@Sun.COM>

      All the radiobutton and checkbox items in the mode panel now have a 
      mnemonic associated with them.

2003-01-16  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Calum Benson <Calum.Benson@Sun.COM>

      Fixed up the buttons on the "Insert ASCII Value", "Enter Constant..." and
      "Enter Function..." popups. They now just use Cancel and OK buttons, and 
      use standard stock Gtk icons.

2003-01-16  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Calum Benson <Calum.Benson@Sun.COM>

      Added in an Edit->Paste menu item. If selected this will paste 
      the current contents of the clipboard into the calculator display 
      as if you'd typed it.

    * Added bullet proofing to the process_str() routine in graphics.c 
      to protect it against values that weren't found. If a value wasn't 
      found, it's just ignored, and it goes on to process the next 
      character in the string.

    * Improved the val_to_button() routine in functions.c. It now takes 
      into consideration the mods value for each button struct entry when 
      comparing against the given value. This isn't enough though, as it 
      won't find Alt-<n> buttons.

2003-01-16  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Calum Benson <Calum.Benson@Sun.COM>

      Added a 2 pixel border for the frames containing the Basic, Financial and
      Scientific buttons and the mode panel. The calculator doesn't look so
      crowded now.

2003-01-16  Rich Burridge  <rich.burridge@sun.com>

    * HCI change suggested by Calum Benson <Calum.Benson@Sun.COM>

      Removed the "operand item" label widget, the routine where it was being 
      set (set_op_item()) and all the calls to that routine. Other calculators 
      don't have any equivalent to this, so it's not really needed.

      This also remove the opdisp entry in the button struct and the op_type 
      enum.

    * Adjusted the "keyboard values used" table in calctool.c to reflect the
      current state.

2003-01-14  Rich Burridge  <rich.burridge@sun.com>

    * The frames around the mode button tables and the mode panel were always 
      being shown. The make_but_table() and create_mode_panel() routines were
      returning the wrong widgets.

2003-01-18  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug #101865 (http://bugzilla.gnome.org/show_bug.cgi?id=101865)
      Made the following keyboard remappings:

      Function     Old         New
      ---------------------------------
      Cos        Control-c     d
      Ddb        Control-d     Alt-C
      Frac       Control-f     Alt-f
      Int        Control-i     Alt-i
      Sln        Control-l     l
      Ctrm       Control-m     m
      Rate       Control-r     Alt-r
      Sin        Control-s     Alt-s
      Tan        Control-t     Alt-t
      Abs        Control-u     Alt-u
      Syd        Control-y     Y

      Note that the keyboard equivalents for:

      Function     Old         New
      ---------------------------------
      Quit       q or Q        Control-Q
      Copy       Sun Copy key  Control-C

      still have to be added in, although the menu items in the menu bar 
      work fine. The appropriate changes have been made to the manual pages.

    * Removed mention of the "-l" and "-r" command line options from the manual 
      pages. Remove reference to the /schemes/apps/gcalctool/righthanded Gconf
      resource too.

2003-01-14  Rich Burridge  <rich.burridge@sun.com>

    * After discussion with Calum Benson, removed the "Keys" key, that allowed
      you to toggle the button labels to show their keyboard equivalents. This
      functionality is now covered by the tooltip help and the Help->Contents
      online help.

2003-01-13  Rich Burridge  <rich.burridge@sun.com>

    * Put each of the the button tables and the mode panel inside a frame,
      rather then use horizontal separators, to try to make the GUI look 
      nicer. There is still a persistent display problem to fix though 
      (see entry in the TODO file).

2003-01-13  Rich Burridge  <rich.burridge@sun.com>

    * Entering "((2+3)*(2+3))" gave the wrong answer. Problems was in the
      process_item() routine where extra values were reassigned. With gcalctool
      v4.2.0 onwards, "*" is now the multiplication operand, and "x" needed 
      to be reassigned to that value (not the other way around). Had to 
      adjust the assignment of the "x" and "*" keyboard accelerators 
      accordingly too.

    * Added in some bullet-proofing to the do_parens() routine to hopefully 
      improve the handling of bogus keyboard entries when a string in 
      parentheses is being entered.

2003-01-13  Rich Burridge  <rich.burridge@sun.com>

    * Hooked up the Help->Contents menu item. Note that help support still has
      to be included (i.e. a help subdirectory with associated files etc.).

2003-01-13  Rich Burridge  <rich.burridge@sun.com>

    * The View->Memory Registers menu item now correctly toggles the showing of
      the memory register window.

2003-01-13  Rich Burridge  <rich.burridge@sun.com>

    * Menubar menu items now use stock Gtk icons (where applicable).

2003-01-10  Rich Burridge  <rich.burridge@sun.com>

    * Revised the gcalctoolrc (Gtk resources) file for the new display layout.
      This really needs help from a real graphics designer for a suggested color
      set.

2003-01-10  Rich Burridge  <rich.burridge@sun.com>

    * Go into Scientific mode. Click on "(" twice and you'll get a segv.
      The problem was the v->current needed to be set to a copy of the 
      "n" button struct, rather than trying to find the button value from 
      user_data. Created a copy_button_info() routine that is now called 
      in three places.

2003-01-10  Rich Burridge  <rich.burridge@sun.com>

    * Added some horizontal separators to help make the calculator more readable
      when in Financial and Scientific Mode.

2003-01-09  Rich Burridge  <rich.burridge@sun.com>

    * Entering "((2+3)*9+(5-3))" causes a segv. The problem was due to the
      change from "x" to "*" as the character for multiplication. The .value
      entry in the button struct for the multiplication button needed to be
      changed to GDK_asterisk (rather than GDK_x), otherwise button_for_value()
      returns a NULL pointer.

2003-01-09  Rich Burridge  <rich.burridge@sun.com>

    * Removed the attempt to display a calculator image on the About popup.

    * Typing the keyboard equivalent of the menu buttons now works. The problem
      was in process_item() in display.c. v->current couldn't just point to the
      current button struct. It needed to be a copy of it, so that pending
      operation (which save the pending value), don't overwrite the base button
      entries.

    * Removed the VERSION string from the titlebar. This is now in the About 
      popup.

2003-01-09  Rich Burridge  <rich.burridge@sun.com>

    * Added in an About popup that's accessible through the Help->About 
      Gcalctool menubar Help menu item.

2003-01-09  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug #102927 (http://bugzilla.gnome.org/show_bug.cgi?id=102927)
      Replaced abbreviation "trig." with full word "trigonometric".

2003-01-09  Rich Burridge  <rich.burridge@sun.com>

    * Fixed bug #102922 (http://bugzilla.gnome.org/show_bug.cgi?id=102922)
      Adjusted the two occurances of sentence fragments in the 
      cfframe_apply_cb() routine in gtk.c to make it easier for L10N folks 
      to translate them.

2003-01-08  German Poo-Caaman~o  <gpoo@ubiobio.cl>

    * Added Spanish (es) to ALL_LINGUAS at configure.in

2003-01-08  Rich Burridge  <rich.burridge@sun.com>

    * gcalctool is now resizable again.

2003-01-08  Andrew Sobala  <andrew@sobala.net>

    * Make calculator window choose a reasonable size at startup, and resize 
      when changing modes.

2003-01-08  Rich Burridge  <rich.burridge@sun.com>

    * Removed the GNOME_UTIL_LIBS line from .../gcalctool/Makefile.am as it's
      not needed.

2003-01-08  Andrew Sobala  <andrew@sobala.net>

    * Fixed "blank buttons displaying" bug. 

    * Added small section to configure.in that forces a "--enable-build-broken"
      flag to have to be passed to configure in order to build gcalctool while 
      it is still in this semi-broken state. This will be removed when most of
      the items mentioned in the first section of the TODO file have been
      implemented.

2003-01-08  Rich Burridge  <rich.burridge@sun.com>

    * Updated the copyright messages to by the correct GPL ones for the various
      source files, plus used date of 2003 (not 2002) in:

      .../ChangeLog
      .../NEWS
      .../README
      .../TODO.
      .../gcalctool/calctool.c
      .../gcalctool/calctool.h
      .../gcalctool/display.c
      .../gcalctool/dsdefs.h
      .../gcalctool/dsfuns.c
      .../gcalctool/extern.h
      .../gcalctool/functions.c
      .../gcalctool/gcalctool.1
      .../gcalctool/get.c
      .../gcalctool/graphics.c
      .../gcalctool/gtk.c
      .../gcalctool/mp.c

    * The Financial/Logical/Scientific mode buttons have been moved into
      the main calculator window above the Basic mode buttons.

    * Added a menubar with the following menus/items:

      File      Edit                  View              Help
      -----------------------------------------------------------------
      Quit      Copy                  Basic Mode        Contents...
                Insert ASCII Value    Financial Mode    About Gcalctool
                                      Scientific Mode

                                      Memory Register
                                      Right-handed Style

      The functionality has been hooked up except for the two Help menu items.

    * Revamped the gcalctool design. The Basic Mode is much simpler now.
      The Logical and Scientific modes have been combined into a single
      Scientific mode (which also includes some of the functionality that
      was in the previous Basic mode).

      The mode buttons are now extra button tables (and a mode panel) that get
      shown or hidden in the main gcalctool window depending upon the current
      mode.

      The six item mode display has been removed. The current base, numeric
      display type, trigonometric type, hyp and inv settings can be seen by
      the radio buttons and check boxes in the mode panel. The current mode is
      given in the main window title bar. The only things that's really 
      different is that there is no longer a current operand display item.

    * Remove the small property sheet that was displayed when you right clicked
      in the main window button area (not over a button). This had the ability
      to set a left or right-handed style. This functionality has also been
      removed, because with the simplification of the Basic mode, it's no 
      longer needed. Remove the command line options and resources associated 
      with this.

    * From Andrew Sobala <andrew@sobala.net>
      Fixed bug #102698 - "make distcheck" fails. Fix was to use the correct
      GNOME 2 autogen.sh. Also added #(schema_DATA) to the top-level
      Makefile.am
